<?php
$root__url = "../../../../";
?>
<?php

$focus_project = array(
    ['project_name' => '教育訓練平台', 'company' => '儀居不動產', 'event' => '線稿流程', 'leader' => '孫一', 'spend_day' => 6, 'estimate_day' => 8, 'deadline' => '2023-08-31'],
    ['project_name' => '直錄播', 'company' => '立功補習班', 'event' => '線稿流程', 'leader' => '孫一', 'spend_day' => 6, 'estimate_day' => 8, 'deadline' => '2023-08-31'],
    ['project_name' => '企業連動式協作之遠距辦公平台', 'company' => 'SBIR', 'event' => '線稿流程', 'leader' => '孫一', 'spend_day' => 6, 'estimate_day' => 8, 'deadline' => '2023-03-31'],
    ['project_name' => 'IRS測驗系統', 'company' => '鼓山高中', 'event' => '線稿流程', 'leader' => '顏二', 'spend_day' => 6, 'estimate_day' => 8, 'deadline' => '2023-08-31'],
)

?>
<!doctype html>
<html lang="en">

<head>
    <?php include_once "../../../head.php"; ?>
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/jquery.dataTables.css">
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/responsive.dataTables.min.css">
    <script src="<?php echo $root__url; ?>js/page/datatable/jquery.dataTables.js"></script>
    <script src="<?php echo $root__url; ?>js/page/datatable/dataTables.responsive.min.js"></script>
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/datatable.css">
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/zsystem//dept/overview.css">

</head>

<body>
    <div class="page_wrapper">
        <?php include_once "header.php"; ?>
        <div class="content_area">
            <div class="container-fluid">
                <div class="content_block row justify-content-center">
                    <div class="col-xl-10">
                        <div class="mb-5 fw_700 text-center h4 d-flex justify-content-center">
                            <div class="overview_title">設計部門</div>
                        </div>
                        <div class="row gx-md-5">
                            <div class="col-md-6 mb-5">
                                <div class="row align-items-center justify-content-center justify-content-md-between mb-3 gx-2">
                                    <div class="col-auto">
                                        <h3 class="text-center text-md-start"><span class="heading">部門盈虧狀態</span></h3>
                                    </div>
                                    <div class="col-auto fw_700 mb-2">Total：+3600</div>
                                </div>
                                <canvas id="finance_chart"></canvas>
                            </div>
                            <div class="col-md-6 mb-5">
                                <div class="mb-3">
                                    <h3 class="text-center text-md-start"><span class="heading">8月工作情形</span></h3>
                                </div>
                                <canvas id="month_chart"></canvas>
                            </div>
                        </div>
                        <div class="mb-5">
                            <div class="row align-items-center justify-content-center justify-content-md-between mb-3">
                                <div class="col-md-auto">
                                    <h3 class="text-center text-md-start"><span class="heading">關注專案</span></h3>
                                </div>
                                <div class="col">
                                    <div class="row align-items-center justify-content-end">
                                        <div class="col-md-auto mb-2">
                                            <div class="searchbox_block">
                                                <input type="text" class="form-control form-control-sm inputbox" id="searchbox">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <table id="page_table" class="display" style="width:100%">
                                <thead>
                                    <tr>
                                        <th>專案</th>
                                        <th>負責人員</th>
                                        <th>交派任務</th>
                                        <th class="w_1">期限</th>
                                        <th>成本<br><small>(當前/預估)</small></th>
                                        <th>操作</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php foreach ($focus_project as $key => $focus_project_data) { ?>
                                        <tr>
                                            <td class="name_width">
                                                <div class="multiline_ellipsis clamp_2"><?php echo $focus_project_data['project_name'] ?></div>
                                            </td>
                                            <td class="text-nowrap">
                                                <div class="multiline_ellipsis clamp_2"><?php echo $focus_project_data['leader'] ?></div>
                                            </td>
                                            <td class="text-nowrap">
                                                <div class="multiline_ellipsis clamp_2"><?php echo $focus_project_data['event'] ?></div>
                                            </td>
                                            <td class="text-nowrap"><?php echo $focus_project_data['deadline'] ?></td>
                                            <td><?php echo $focus_project_data['spend_day'] * 1500 ?>/<?php echo $focus_project_data['estimate_day'] * 1500 ?></td>
                                            <td>
                                                <button type="button" class="btn_text btn_text_sm btn_secondary_outline" onclick="location.href='project/issue_list.php';">詳細</button>
                                            </td>
                                            <td></td>
                                        </tr>

                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>


                    </div>
                </div>
            </div>
        </div>
        <?php include_once "../../../footer.php"; ?>
    </div>

    <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/chart.js/dist/chart.umd.min.js"></script>
    <script>
        /*table*/
        $(document).ready(function() {
            $(document).ready(function() {

                function hideSearchInputs(columns) {
                    for (i = 0; i < columns.length; i++) {
                        if (columns[i]) {
                            $('.filterhead:eq(' + i + ')').show();
                        } else {
                            $('.filterhead:eq(' + i + ')').hide();
                        }
                    }
                }

                var table = $('#page_table').DataTable({
                    language: {
                        'paginate': {
                            'previous': '<i class="fa-solid fa-chevron-left"></i>',
                            'next': '<i class="fa-solid fa-chevron-right"></i>'
                        }
                    },
                    stripeClasses: [],

                    orderCellsTop: true,
                    dom: 'Bfrtip',
                    columnDefs: [{
                        className: 'dtr-control arrow-right',
                        orderable: false,
                        target: -1
                    }],
                    responsive: {
                        details: {
                            display: $.fn.dataTable.Responsive.display.modal({
                                header: function(row) {
                                    var data = row.data();
                                    return data[0];
                                }
                            }),
                            renderer: $.fn.dataTable.Responsive.renderer.tableAll(),
                            type: 'column',
                            target: -1
                        },

                    },
                    scrollCollapse: true,
                    scroller: true,
                    initComplete: function() {
                        var api = this.api();
                        $('.filterhead', api.table().header()).each(function(i) {
                            var column = api.column(i);
                            var select = $('<select><option value=""></option></select>')
                                .appendTo($(this).empty())
                                .on('change', function() {
                                    var val = $.fn.dataTable.util.escapeRegex(
                                        $(this).val()
                                    );

                                    column
                                        .search(val ? '^' + val + '$' : '', true, false)
                                        .draw();
                                });

                            column.data().unique().sort().each(function(d, j) {
                                select.append('<option value="' + d + '">' + d + '</option>');
                            });
                        });
                        hideSearchInputs(api.columns().responsiveHidden().toArray());
                    }
                });

                table.on('responsive-resize', function(e, datatable, columns) {
                    hideSearchInputs(columns);

                });
                $('#searchbox').keyup(function() {
                    table.search($(this).val()).draw();
                })
            });
        });
        /*finance data*/
        const finance_data = {
            labels: ['專案A', '專案B', '專案C', '專案D', '專案E', '專案F', '專案G', '專案H', '專案I', '專案J'],
            datasets: [{
                label: '盈虧',
                data: [3, 3, 6, -3, -3, 12, 3, 3, 9, 3],
                borderColor: borderColor(),
                backgroundColor: barColor(),
                borderWidth: 1
            }]
        };
        const finance_config = {
            type: 'bar',
            data: finance_data,
            options: {
                scales: {
                    y: {
                        beginAtZero: true,
                        grid: {
                            color: (context) => {
                                const zeroline = context.tick.value;
                                const gridColor = zeroline === 0 ? '#666' : '#ccc';
                                return gridColor;
                            }
                        }
                    }
                }
            }
        };
        const finance_chart = new Chart(
            document.getElementById('finance_chart'),
            finance_config
        );

        function barColor() {
            return (ctx) => {
                const standard = 0;
                const expenses = ctx.raw;
                const color = expenses > standard ? 'rgb(110, 193, 190)' :
                    expenses <= standard ? 'rgb(180, 180, 180)' :
                    'black';
                return color;
            }
        }

        function borderColor() {
            return (ctx) => {
                const standard = 0;
                const expenses = ctx.raw;
                const color = expenses > standard ? 'rgb(110, 193, 190)' :
                    expenses <= standard ? 'rgb(180, 180, 180)' :
                    'black';
                return color;
            }
        }
        /*month*/
        const month_data = {
            labels: [
                '孫一',
                '顏二',
                '黃三',
                '張四',
                '劉五',
                '李六',
                '江七',
            ],
            datasets: [{
                type: 'line',
                label: '實得點數',
                data: [20, 15, 23, 24, 28, 24, 24],
                fill: false,
                borderColor: 'rgb(44, 151, 149)'
            }, {
                type: 'bar',
                label: '完成細項',
                data: [15, 18, 17, 24, 20, 22, 24],
                borderColor: 'rgb(190, 224, 223)',
                backgroundColor: 'rgba(190, 224, 223, 0.8)'
            }]
        };
        const month_config = {
            type: 'scatter',
            data: month_data,
            options: {
                scales: {
                    y: {
                        beginAtZero: true
                    }
                }
            }
        };
        const mixChart = new Chart(
            document.getElementById('month_chart'),
            month_config
        )
    </script>

</body>

</html>