<?php
$root__url = "../../../../../";
?>
<?php
$record = array(
    array('member' => '張一', 'case' => '教育訓練平台-系統建置', 'issue' => '線稿流程', 'deadline' => '2023-08-31', 'estimate_day' => '5', 'accumulate_day' => '4', 'unit' => '儀居不動產', 'project' => '教育訓練平台', 'type' => '合約內'),
    array('member' => '林盈君', 'case' => '心統官網-網站建置', 'issue' => '線稿流程', 'deadline' => '2023-08-31', 'estimate_day' => '5', 'accumulate_day' => '3', 'unit' => '儀居不動產', 'project' => '教育訓練平台', 'type' => '合約內'),
);
?>
<!doctype html>
<html lang="en">

<head>
    <?php include_once "../../../../head.php"; ?>
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/jquery.dataTables.css">
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/responsive.dataTables.min.css">
    <script src="<?php echo $root__url; ?>js/page/datatable/jquery.dataTables.js"></script>
    <script src="<?php echo $root__url; ?>js/page/datatable/dataTables.responsive.min.js"></script>
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/datatable.css">
</head>

<body>
    <div class="page_wrapper">
        <?php include_once "../header.php"; ?>
        <div class="content_area">
            <div class="container-fluid">
                <div class="content_block row justify-content-center">
                    <div class="col-xl-10">
                        <div class="row title_block row align-items-center pb-0 mb-4">
                            <div class="col"></div>
                            <div class="col-auto text-center">
                                <h2><span class="main_title">工作紀錄</span></h2>
                                <div class="row g-2">
                                    <div class="col-auto">
                                        <div class="tabbox" onclick="location.href='design_personal_work_list.php'">個人</div>
                                    </div>
                                    <div class="col-auto">
                                        <div class="tabbox" onclick="location.href='design_inner_work_list.php'">部門內部</div>
                                    </div>
                                    <div class="col-auto">
                                        <div class="tabbox current">待處理</div>
                                    </div>
                                </div>
                            </div>
                            <div class="col">
                            </div>
                        </div>
                        <div class="mb-5">
                            <div class="row align-items-center justify-content-end">
                                <div class="col-md-auto mb-2">
                                    <div class="searchbox_block">
                                        <input type="text" class="form-control form-control-sm inputbox" id="searchbox">
                                    </div>
                                </div>
                            </div>
                            <table id="page_table" class="display" style="width:100%">
                                <thead>
                                    <tr>
                                        <th>人員</th>
                                        <th>案件</th>
                                        <th>事項</th>
                                        <th>期限</th>
                                        <th>操作</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php foreach ($record as $key => $record_data) { ?>
                                        <tr>
                                            <td class="name_width">
                                                <div class="multiline_ellipsis clamp_2"><?php echo $record_data['member'] ?></div>
                                            </td>
                                            <td class="name_width">
                                                <div class="multiline_ellipsis clamp_2"><?php echo $record_data['case'] ?></div>
                                            </td>
                                            <td class="name_width">
                                                <div class="multiline_ellipsis clamp_2"><?php echo $record_data['issue'] ?></div>
                                            </td>
                                            <td><?php echo $record_data['deadline'] ?></td>
                                            <td class="w_1">
                                                <div class="d-inline-flex">
                                                    <button type="button" class="btn_text btn_text_sm btn_secondary_outline me-3" data-bs-toggle="modal" data-bs-target="#work_detail<?php echo $key; ?>">詳細</button>
                                                    <button type="button" class="btn_text btn_text_sm btn_secondary_outline" onclick="location.href='../project/task_list.php';">查看</button>
                                                </div>
                                            </td>
                                            <td></td>
                                        </tr>

                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>


                    </div>
                </div>
            </div>
        </div>
        <?php include_once "../../../../footer.php"; ?>
    </div>
    <?php foreach ($record as $key => $record_data) { ?>
        <!-- 詳細 modal -->
        <div class="modal fade" id="work_detail<?php echo $key; ?>" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable">
                <div class="modal-content">
                    <div class="modal-header justify-content-center">
                        <div class="w-100">
                            <h1 class="modal-title h6 text-center"><?php echo $record_data['date'] ?>&emsp;<?php echo $record_data['member'] ?></h1>
                        </div>
                    </div>
                    <div class="modal-body scrollbar_y">
                        <div class="p-2">
                            <table class="table">
                                <tbody>
                                    <tr>
                                        <th scope="row" class="text-nowrap w_1">案件</th>
                                        <td><?php echo $record_data['case']; ?></td>
                                    </tr>
                                    <tr>
                                        <th scope="row" class="text-nowrap w_1">事項</th>
                                        <td>
                                            <?php if (!empty($record_data['item_type'])) { ?>
                                                <span class="fw_500"><?php echo $record_data['item_type']; ?></span>
                                            <?php } ?>
                                            <?php echo $record_data['issue']; ?>
                                        </td>
                                    </tr>
                                    <tr>
                                        <th scope="row" class="text-nowrap w_1">實作天數</th>
                                        <td><?php echo $record_data['accumulate_day']; ?></td>
                                    </tr>
                                    <tr>
                                        <th scope="row" class="text-nowrap w_1">預估天數</th>
                                        <td><?php echo $record_data['estimate_day']; ?></td>
                                    </tr>
                                    <tr>
                                        <th scope="row" class="text-nowrap w_1">期限</th>
                                        <td><?php echo $record_data['deadline']; ?></td>
                                    </tr>
                                    <tr>
                                        <th scope="row" class="text-nowrap w_1">單位</th>
                                        <td><?php echo $record_data['unit']; ?></td>
                                    </tr>
                                    <tr>
                                        <th scope="row" class="text-nowrap w_1">相關專案</th>
                                        <td><?php echo $record_data['project']; ?></td>
                                    </tr>
                                    <tr>
                                        <th scope="row" class="text-nowrap w_1">類型</th>
                                        <td><?php echo $record_data['type']; ?></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="modal-footer justify-content-center">
                        <button type="button" class="btn_text btn_secondary_outline" data-bs-dismiss="modal">返回</button>
                    </div>
                </div>
            </div>
        </div>
    <?php } ?>

    <script>
        /*table*/
        $(document).ready(function() {
            $(document).ready(function() {

                function hideSearchInputs(columns) {
                    for (i = 0; i < columns.length; i++) {
                        if (columns[i]) {
                            $('.filterhead:eq(' + i + ')').show();
                        } else {
                            $('.filterhead:eq(' + i + ')').hide();
                        }
                    }
                }

                var table = $('#page_table').DataTable({
                    language: {
                        'paginate': {
                            'previous': '<i class="fa-solid fa-chevron-left"></i>',
                            'next': '<i class="fa-solid fa-chevron-right"></i>'
                        }
                    },
                    stripeClasses: [],

                    orderCellsTop: true,
                    dom: 'Bfrtip',
                    columnDefs: [{
                        className: 'dtr-control arrow-right',
                        orderable: false,
                        target: -1
                    }],
                    responsive: {
                        details: {
                            display: $.fn.dataTable.Responsive.display.modal({
                                header: function(row) {
                                    var data = row.data();
                                    return data[0];
                                }
                            }),
                            renderer: $.fn.dataTable.Responsive.renderer.tableAll(),
                            type: 'column',
                            target: -1
                        },

                    },
                    scrollCollapse: true,
                    scroller: true,
                    initComplete: function() {
                        var api = this.api();
                        $('.filterhead', api.table().header()).each(function(i) {
                            var column = api.column(i);
                            var select = $('<select><option value=""></option></select>')
                                .appendTo($(this).empty())
                                .on('change', function() {
                                    var val = $.fn.dataTable.util.escapeRegex(
                                        $(this).val()
                                    );

                                    column
                                        .search(val ? '^' + val + '$' : '', true, false)
                                        .draw();
                                });

                            column.data().unique().sort().each(function(d, j) {
                                select.append('<option value="' + d + '">' + d + '</option>');
                            });
                        });
                        hideSearchInputs(api.columns().responsiveHidden().toArray());
                    }
                });

                table.on('responsive-resize', function(e, datatable, columns) {
                    hideSearchInputs(columns);

                });
                $('#searchbox').keyup(function() {
                    table.search($(this).val()).draw();
                })
            });
        });
    </script>

</body>

</html>