<?php
$root__url = "../../../../../";
?>
<?php
$notification = array(
    array('send_dept' => '開發部', 'receive_dept' => '設計部', 'case' => '系統建置', 'content' => '進行需求分析', 'notify_time' => '2023-08-15 12:00', 'unit' => '儀居不動產', 'project' => '教育訓練平台', 'type' => '合約內', 'assign' => array(['leader' => '張一', 'task' => '線稿流程', 'deadline' => '2023-08-31', 'day' => '5'], ['leader' => '張一', 'task' => '風格設計', 'deadline' => '2023-08-31', 'day' => '3'])),
);
$member = array('孫一', '顏二', '黃三', '張四', '劉五', '李六', '江七');

?>
<!doctype html>
<html lang="en">

<head>
    <?php include_once "../../../../head.php"; ?>
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/jquery.dataTables.css">
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/responsive.dataTables.min.css">
    <script src="<?php echo $root__url; ?>js/page/datatable/jquery.dataTables.js"></script>
    <script src="<?php echo $root__url; ?>js/page/datatable/dataTables.responsive.min.js"></script>
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/datatable.css">
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/zsystem/design/manager/notice/notice.css">

</head>

<body>
    <div class="page_wrapper">
        <?php include_once "../header.php"; ?>
        <div class="content_area">
            <div class="container-fluid">
                <div class="content_block row justify-content-center">
                    <div class="col-xl-10">
                        <div class="row title_block row align-items-center pb-0 mb-4">
                            <div class="col"></div>
                            <div class="col-auto text-center">
                                <h2><span class="main_title">已確認紀錄</span></h2>
                                <div class="row justify-content-center g-2">
                                    <?php if (in_array("manager", $role)) { ?>
                                        <div class="col-auto">
                                            <div class="tabbox current">跨部門</div>
                                        </div>
                                    <?php } ?>
                                    <div class="col-auto">
                                        <div class="tabbox" onclick="location.href='checked_inner.php';">內部</div>
                                    </div>
                                </div>
                            </div>
                            <div class="col">
                            </div>
                        </div>
                        <div class="mb-5">
                            <div class="text-end mb-2">
                                <a class="link_primary fw_500" href='notice_outer.php'>新通知&ensp;<i class="fa-solid fa-chevron-right"></i></a>
                            </div>
                            <table id="page_table" class="display" style="width:100%">
                                
                                <thead>
                                    <tr>
                                        <th>訊息來源</th>
                                        <?php if ($manager_num > 1) { ?>
                                            <th>訊息對象</th>
                                        <?php } ?>
                                        <th>案件</th>
                                        <th>訊息</th>
                                        <th>通知時間</th>
                                        <th>操作</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php foreach ($notification as $key => $notification_data) { ?>
                                        <tr>
                                            <td class="text-nowrap"><?php echo $notification_data['send_dept']; ?></td>

                                            <?php if ($manager_num > 1) { ?>
                                                <td class="text-nowrap"><?php echo $notification_data['receive_dept']; ?></td>
                                            <?php } ?>
                                            <td class="name_width">
                                                <div class="multiline_ellipsis clamp_2"><?php echo $notification_data['project'] ?>-<?php echo $notification_data['case'] ?></div>
                                            </td>
                                            <td class="text-nowrap">
                                                <div><?php echo $notification_data['content'] ?></div>
                                            </td>
                                            <td class="text-nowrap w_1">
                                                <div class="multiline_ellipsis clamp_2"><?php echo $notification_data['notify_time'] ?></div>
                                            </td>
                                            <td class="w_1">
                                                <div class="d-inline-flex">
                                                    <button type="button" class="btn_text btn_text_sm btn_secondary_outline me-3" data-bs-toggle="modal" data-bs-target="#notify_detail_modal<?php echo $key; ?>">詳細</button>
                                                </div>

                                            </td>

                                            <td></td>
                                        </tr>

                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>


                    </div>
                </div>
            </div>
        </div>
        <?php include_once "../../../../footer.php"; ?>
    </div>

    <!-- 通知詳細資訊 -->
    <?php foreach ($notification as $key => $notification_data) { ?>
        <div class="modal fade" id="notify_detail_modal<?php echo $key; ?>" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable">
                <div class="modal-content">
                    <div class="modal-header d-block pb-0">
                        <h1 class="modal-title h6 mb-2
                        "><?php echo $notification_data['dept'] ?>&emsp;<?php echo $notification_data['notify_time'] ?></h1>
                        <ul class="nav nav-tabs border-bottom-0 nav_tabs_box" id="myTab" role="tablist">
                            <li class="nav-item" role="presentation">
                                <button class="nav-link active" id="info<?php echo $key; ?>-tab" data-bs-toggle="tab" data-bs-target="#info<?php echo $key; ?>" type="button" role="tab" aria-controls="info<?php echo $key; ?>" aria-selected="true">資訊</button>
                            </li>
                            <li class="nav-item" role="presentation">
                                <button class="nav-link" id="assign<?php echo $key; ?>-tab" data-bs-toggle="tab" data-bs-target="#assign<?php echo $key; ?>" type="button" role="tab" aria-controls="assign<?php echo $key; ?>" aria-selected="false">指派事項</button>
                            </li>
                        </ul>
                    </div>
                    <div class="modal-body scrollbar_y">
                        <div class="p-2">

                            <div class="tab-content" id="myTabContent">
                                <div class="tab-pane fade show active" id="info<?php echo $key; ?>" role="tabpanel" aria-labelledby="info<?php echo $key; ?>-tab">
                                    <table class="table">
                                        <tbody>
                                            <tr>
                                                <th scope="row" class="text-nowrap w_1">部門</th>
                                                <td><?php echo $notification_data['send_dept']; ?>&ensp;→&ensp;<?php echo $notification_data['receive_dept']; ?></td>
                                            </tr>
                                            <tr>
                                                <th scope="row" class="text-nowrap w_1">案件</th>
                                                <td><?php echo $notification_data['case']; ?></td>
                                            </tr>
                                            <tr>
                                                <th scope="row" class="text-nowrap w_1">訊息</th>
                                                <td><?php echo $notification_data['content']; ?></td>
                                            </tr>
                                            <tr>
                                                <th scope="row" class="text-nowrap w_1">通知時間</th>
                                                <td><?php echo $notification_data['notify_time']; ?></td>
                                            </tr>
                                            <tr>
                                                <th scope="row" class="text-nowrap w_1">單位</th>
                                                <td><?php echo $notification_data['unit']; ?></td>
                                            </tr>
                                            <tr>
                                                <th scope="row" class="text-nowrap w_1">相關專案</th>
                                                <td><?php echo $notification_data['project']; ?></td>
                                            </tr>
                                            <tr>
                                                <th scope="row" class="text-nowrap w_1">類型</th>
                                                <td><?php echo $notification_data['type']; ?></td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                                <div class="tab-pane fade" id="assign<?php echo $key; ?>" role="tabpanel" aria-labelledby="assign<?php echo $key; ?>-tab">
                                    <?php foreach ($notification_data['assign'] as $key1 => $assign_data) { ?>
                                        <div class="row">
                                            <div class="col-12">
                                                <table class="table bg-light">
                                                    <tr>
                                                        <th scope="row" class="text-nowrap w_1">事項</th>
                                                        <td><?php echo $assign_data['task'] ?></td>
                                                    </tr>
                                                    <tr>
                                                        <th scope="row" class="text-nowrap w_1">負責人</th>
                                                        <td><?php echo $assign_data['leader'] ?></td>
                                                    </tr>
                                                    <tr>
                                                        <th scope="row" class="text-nowrap w_1">期限</th>
                                                        <td><?php echo $assign_data['deadline'] ?></td>
                                                    </tr>
                                                    <tr>
                                                        <th scope="row" class="text-nowrap w_1">預估天數</th>
                                                        <td><?php echo $assign_data['day'] ?></td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </div>
                                    <?php } ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer justify-content-center">
                        <button type="button" class="btn_text btn_secondary_outline" data-bs-dismiss="modal">返回</button>
                    </div>
                </div>
            </div>
        </div>
    <?php } ?>

    <script>
        /*table*/
        $(document).ready(function() {
            $(document).ready(function() {

                function hideSearchInputs(columns) {
                    for (i = 0; i < columns.length; i++) {
                        if (columns[i]) {
                            $('.filterhead:eq(' + i + ')').show();
                        } else {
                            $('.filterhead:eq(' + i + ')').hide();
                        }
                    }
                }

                var table = $('#page_table').DataTable({
                    language: {
                        'paginate': {
                            'previous': '<i class="fa-solid fa-chevron-left"></i>',
                            'next': '<i class="fa-solid fa-chevron-right"></i>'
                        }
                    },
                    stripeClasses: [],

                    orderCellsTop: true,
                    dom: 'Bfrtip',
                    columnDefs: [{
                        className: 'dtr-control arrow-right',
                        orderable: false,
                        target: -1
                    }],
                    responsive: {
                        details: {
                            display: $.fn.dataTable.Responsive.display.modal({
                                header: function(row) {
                                    var data = row.data();
                                    return data[0];
                                }
                            }),
                            renderer: $.fn.dataTable.Responsive.renderer.tableAll(),
                            type: 'column',
                            target: -1
                        },

                    },
                    scrollCollapse: true,
                    scroller: true,
                    initComplete: function() {
                        var api = this.api();
                        $('.filterhead', api.table().header()).each(function(i) {
                            var column = api.column(i);
                            var select = $('<select><option value=""></option></select>')
                                .appendTo($(this).empty())
                                .on('change', function() {
                                    var val = $.fn.dataTable.util.escapeRegex(
                                        $(this).val()
                                    );

                                    column
                                        .search(val ? '^' + val + '$' : '', true, false)
                                        .draw();
                                });

                            column.data().unique().sort().each(function(d, j) {
                                select.append('<option value="' + d + '">' + d + '</option>');
                            });
                        });
                        hideSearchInputs(api.columns().responsiveHidden().toArray());
                    }
                });

                table.on('responsive-resize', function(e, datatable, columns) {
                    hideSearchInputs(columns);

                });
                $('#searchbox').keyup(function() {
                    table.search($(this).val()).draw();
                })
            });
        });
    </script>

</body>

</html>