<?php
$root__url = "../../../../../";
?>
<?php
$notification = array(
    array('send_dept' => '開發部', 'receive_dept' => '設計部', 'case' => '系統建置', 'content' => '進行需求分析', 'notify_time' => '2023-08-15 12:00', 'deadline' => '2023-08-31', 'day' => '5', 'unit' => '儀居不動產', 'project' => '教育訓練平台', 'type' => '合約內'),
    array('send_dept' => '客服部', 'receive_dept' => '設計部', 'case' => '系統建置', 'content' => '網站按鈕顏色調整', 'notify_time' => '2023-08-15 12:00', 'deadline' => '2023-08-31', 'day' => '5', 'unit' => '儀居不動產', 'project' => '教育訓練平台', 'type' => '合約內'),
);
$member = array('孫一', '顏二', '黃三', '張四', '劉五', '李六', '江七');

?>
<!doctype html>
<html lang="en">

<head>
    <?php include_once "../../../../head.php"; ?>
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/jquery.dataTables.css">
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/responsive.dataTables.min.css">
    <script src="<?php echo $root__url; ?>js/page/datatable/jquery.dataTables.js"></script>
    <script src="<?php echo $root__url; ?>js/page/datatable/dataTables.responsive.min.js"></script>
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/datatable.css">
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/zsystem/design/manager/notice/notice.css">

</head>

<body>
    <div class="page_wrapper">
        <?php include_once "../header.php"; ?>
        <div class="content_area">
            <div class="container-fluid">
                <div class="content_block row justify-content-center">
                    <div class="col-xl-10">
                        <div class="row title_block row align-items-center pb-0 mb-4">
                            <div class="col"></div>
                            <div class="col-auto text-center">
                                <h2><span class="main_title">通知</span></h2>
                                <div class="row g-2">
                                    <?php if (in_array("manager", $role)) { ?>
                                        <div class="col-auto">
                                            <div class="tabbox current">跨部門</div>
                                        </div>
                                    <?php } ?>
                                    <div class="col-auto">
                                        <div class="tabbox" onclick="location.href='notice_inner.php';">內部</div>
                                    </div>
                                </div>
                            </div>
                            <div class="col">
                            </div>
                        </div>
                        <div class="mb-5">
                            <div class="text-end mb-2">
                                <a class="link_primary fw_500" href='checked_outer.php'>已確認紀錄&ensp;<i class="fa-solid fa-chevron-right"></i></a>
                            </div>
                            <table id="page_table" class="display" style="width:100%">
                                <thead>
                                    <tr>
                                        <th>訊息來源</th>
                                        <?php if ($manager_num > 1) { ?>
                                            <th>訊息對象</th>
                                        <?php } ?>
                                        <th>案件</th>
                                        <th>訊息</th>
                                        <th>通知時間</th>
                                        <th>操作</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php foreach ($notification as $key => $notification_data) { ?>
                                        <tr>
                                            <td class="text-nowrap"><?php echo $notification_data['send_dept']; ?></td>

                                            <?php if ($manager_num > 1) { ?>
                                                <td class="text-nowrap"><?php echo $notification_data['receive_dept']; ?></td>
                                            <?php } ?>
                                            <td class="name_width">
                                                <div class="multiline_ellipsis clamp_2"><?php echo $notification_data['project'] ?>-<?php echo $notification_data['case'] ?></div>
                                            </td>
                                            <td class="text-nowrap">
                                                <div><?php echo $notification_data['content'] ?></div>
                                            </td>
                                            <td class="text-nowrap w_1">
                                                <div class="multiline_ellipsis clamp_2"><?php echo $notification_data['notify_time'] ?></div>
                                            </td>
                                            <td class="w_1">
                                                <div class="d-inline-flex">
                                                    <button type="button" class="btn_text btn_text_sm btn_secondary_outline me-3" data-bs-toggle="modal" data-bs-target="#notify_detail_modal<?php echo $key; ?>">詳細</button>
                                                    <button type="button" class="btn_text btn_text_sm btn_primary_outline" data-bs-toggle="modal" data-bs-target="#notify_confirm_modal<?php echo $key; ?>">確認</button>
                                                </div>

                                            </td>

                                            <td></td>
                                        </tr>

                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>


                    </div>
                </div>
            </div>
        </div>
        <?php include_once "../../../../footer.php"; ?>
    </div>
    <!-- 通知確認 -->
    <?php foreach ($notification as $key => $notification_data) { ?>
        <div class="modal fade" id="notify_confirm_modal<?php echo $key; ?>" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable">
                <div class="modal-content">
                    <div class="modal-header justify-content-center">
                        <h1 class="modal-title h6 "><?php echo $notification_data['dept'] ?>&emsp;<?php echo $notification_data['notify_time'] ?></h1>
                    </div>
                    <div class="modal-body scrollbar_y">
                        <div class="p-2">
                            <div class="row">
                                <div class="col-12 mb-3">是否需要指派事項？</div>
                                <div class="col">
                                    <button type="button" class="btn_text btn_text_lg btn_secondary_outline w-100 checkedToastBtn" data-bs-dismiss="modal">不需要</button>
                                </div>
                                <div class="col">
                                    <button type="button" class="btn_text btn_text_lg btn_secondary_outline w-100" data-bs-dismiss="modal" data-bs-toggle="modal" data-bs-target="#assign_modal<?php echo $key; ?>">需要</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="assign_modal<?php echo $key; ?>" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable">
                <div class="modal-content">
                    <div class="modal-header justify-content-center">
                        <h1 class="modal-title h6">指派事項</h1>
                    </div>
                    <div class="modal-body scrollbar_y">
                        <div class="p-2">
                            <?php for ($i = 0; $i < 1; $i++) {  ?>
                                <div class="container-fluid bg-light py-2 mb-2">
                                    <div class="row gx-2">
                                        <div class="col-sm inputbox_block">
                                            <label class="form-label small mb-1" for="task<?php echo $i; ?>">事項</label>
                                            <input class="form-control inputbox mb-2" type="text" placeholder="請輸入事項" id="task<?php echo $i; ?>">
                                        </div>
                                        <div class="col-sm-5 inputbox_block">
                                            <label class="form-label small mb-1" for="leader<?php echo $i; ?>">負責人員</label>
                                            <select class="form-select inputbox mb-2" id="leader<?php echo $i; ?>">
                                                <option disabled selected value>請輸入負責人員</option>
                                                <?php foreach ($member as $key1 => $value) { ?>
                                                    <option><?php echo $value; ?></option>
                                                <?php } ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="row gx-2">
                                        <div class="col-sm inputbox_block">
                                            <label class="form-label small mb-1" for="deadline<?php echo $i; ?>">期限</label>
                                            <input class="form-control inputbox mb-2" type="date" id="deadline<?php echo $i; ?>">
                                        </div>
                                        <div class="col-sm-5 inputbox_block">
                                            <label class="form-label small mb-1" for="day<?php echo $i; ?>">預估天數</label>
                                            <input class="form-control inputbox mb-2" type="number" id="day<?php echo $i; ?>">
                                        </div>
                                    </div>
                                </div>
                            <?php } ?>
                            <div class="mt-2 d-flex justify-content-center">
                                <button class="btn_text btn_text_sm btn_secondary_outline"><i class="fa-solid fa-plus"></i>新增事項</button>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer justify-content-center">
                        <button type="button" class="btn_text btn_secondary_outline" data-bs-dismiss="modal">取消</button>
                        <button type="button" class="btn_text btn_primary_outline checkedToastBtn" data-bs-dismiss="modal">確定</button>
                    </div>
                </div>
            </div>
        </div>
    <?php } ?>

    <!-- 通知詳細資訊 -->
    <?php foreach ($notification as $key => $notification_data) { ?>
        <div class="modal fade" id="notify_detail_modal<?php echo $key; ?>" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable">
                <div class="modal-content">
                    <div class="modal-header d-block pb-0">
                        <h1 class="modal-title h6 mb-3 text-center"><?php echo $notification_data['dept'] ?>&emsp;<?php echo $notification_data['notify_time'] ?></h1>
                        <div>
                            <ul class="nav nav-tabs border-bottom-0 nav_tabs_box" id="myTab" role="tablist">
                                <li class="nav-item" role="presentation">
                                    <button class="nav-link active" id="info<?php echo $key; ?>-tab" data-bs-toggle="tab" data-bs-target="#info<?php echo $key; ?>" type="button" role="tab" aria-controls="info<?php echo $key; ?>" aria-selected="true">資訊</button>
                                </li>
                            </ul>
                        </div>

                    </div>
                    <div class="modal-body scrollbar_y">
                        <div class="p-2">
                            <table class="table">
                                <tbody>
                                    <tr>
                                        <th scope="row" class="text-nowrap w_1">部門</th>
                                        <td><?php echo $notification_data['send_dept']; ?>&ensp;→&ensp;<?php echo $notification_data['receive_dept']; ?></td>
                                    </tr>
                                    <tr>
                                        <th scope="row" class="text-nowrap w_1">案件</th>
                                        <td><?php echo $notification_data['case']; ?></td>
                                    </tr>
                                    <tr>
                                        <th scope="row" class="text-nowrap w_1">訊息</th>
                                        <td><?php echo $notification_data['content']; ?></td>
                                    </tr>
                                    <tr>
                                        <th scope="row" class="text-nowrap w_1">通知時間</th>
                                        <td><?php echo $notification_data['notify_time']; ?></td>
                                    </tr>
                                    <tr>
                                        <th scope="row" class="text-nowrap w_1">單位</th>
                                        <td><?php echo $notification_data['unit']; ?></td>
                                    </tr>
                                    <tr>
                                        <th scope="row" class="text-nowrap w_1">相關專案</th>
                                        <td><?php echo $notification_data['project']; ?></td>
                                    </tr>
                                    <tr>
                                        <th scope="row" class="text-nowrap w_1">類型</th>
                                        <td><?php echo $notification_data['type']; ?></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="modal-footer justify-content-center">
                        <button type="button" class="btn_text btn_secondary_outline" data-bs-dismiss="modal">返回</button>
                    </div>
                </div>
            </div>
        </div>
    <?php } ?>

    <!-- 已確認 toast -->
    <div class="position-fixed bottom-0 end-0 p-3 top-50 start-50 translate-middle pointer_events_none" style="z-index: 11">
        <div id="chechedToast_toast" class="toast hide m-auto toastbox_success" role="alert" aria-live="assertive" aria-atomic="true" data-bs-delay="2000">
            <div class="toast-body">
                <div class="px-2">
                    <div class="row align-items-center justify-content-center">
                        <div class="col-auto">
                            <div class="h6 mb-0 fw_300">此項目已確認完畢，可至<span class="fw_500">已確認紀錄頁</span>查看</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script>
        /*table*/
        $(document).ready(function() {
            $(document).ready(function() {

                function hideSearchInputs(columns) {
                    for (i = 0; i < columns.length; i++) {
                        if (columns[i]) {
                            $('.filterhead:eq(' + i + ')').show();
                        } else {
                            $('.filterhead:eq(' + i + ')').hide();
                        }
                    }
                }

                var table = $('#page_table').DataTable({
                    language: {
                        'paginate': {
                            'previous': '<i class="fa-solid fa-chevron-left"></i>',
                            'next': '<i class="fa-solid fa-chevron-right"></i>'
                        }
                    },
                    stripeClasses: [],

                    orderCellsTop: true,
                    dom: 'Bfrtip',
                    columnDefs: [{
                        className: 'dtr-control arrow-right',
                        orderable: false,
                        target: -1
                    }],
                    responsive: {
                        details: {
                            display: $.fn.dataTable.Responsive.display.modal({
                                header: function(row) {
                                    var data = row.data();
                                    return data[0];
                                }
                            }),
                            renderer: $.fn.dataTable.Responsive.renderer.tableAll(),
                            type: 'column',
                            target: -1
                        },

                    },
                    scrollCollapse: true,
                    scroller: true,
                    initComplete: function() {
                        var api = this.api();
                        $('.filterhead', api.table().header()).each(function(i) {
                            var column = api.column(i);
                            var select = $('<select><option value=""></option></select>')
                                .appendTo($(this).empty())
                                .on('change', function() {
                                    var val = $.fn.dataTable.util.escapeRegex(
                                        $(this).val()
                                    );

                                    column
                                        .search(val ? '^' + val + '$' : '', true, false)
                                        .draw();
                                });

                            column.data().unique().sort().each(function(d, j) {
                                select.append('<option value="' + d + '">' + d + '</option>');
                            });
                        });
                        hideSearchInputs(api.columns().responsiveHidden().toArray());
                    }
                });

                table.on('responsive-resize', function(e, datatable, columns) {
                    hideSearchInputs(columns);

                });
                $('#searchbox').keyup(function() {
                    table.search($(this).val()).draw();
                })
            });
        });
        /*已確認*/
        var checkedToastBtn = document.querySelectorAll('.checkedToastBtn')
        checkedToastBtn.forEach(function(checkbtn) {
            checkbtn.addEventListener('click', function() {
                var toastId = '#chechedToast_toast';
                var toastElList = [].slice.call(document.querySelectorAll(toastId));
                var toastList = toastElList.map(function(toastEl) {
                    return new bootstrap.Toast(toastEl)
                })
                toastList.forEach(toast => toast.show())
            })
        })
    </script>

</body>

</html>