<?php
$root__url = "../../../../../";
?>
<?php
$page = array('project' => 'IRS測驗系統', 'case' => '系統建置');
$case_option = array('系統建置', '維護');

$dept = array(
    '客服' => array(
        array('member' => '孫A', 'issue' => '報價流程', 'status' => '已通過'),
    ),
    '設計' => array(
        array('member' => '孫一', 'issue' => '基本線稿', 'status' => '已通過', 'deadline' => '2023-08-31', 'estimate_day' => 5, 'accumulate_day' => 4),
        array('member' => '孫一', 'issue' => '線稿流程', 'status' => '已通過', 'deadline' => '2023-08-31', 'estimate_day' => 5, 'accumulate_day' => 6),
        array('member' => '孫一', 'issue' => '風格設計', 'status' => '執行中', 'deadline' => '2023-08-31', 'estimate_day' => 5, 'accumulate_day' => 3),
    ),
);
$dept_message = array(
    array('date'=>'2023-08-22', 'type'=>'新需求', 'dept'=>'行政部', 'transfer_dept'=>'客服部', 'content'=>'報價單已回簽，請進行修改作業'),
    array('date'=>'2023-08-22', 'type'=>'新需求', 'dept'=>'行政部', 'transfer_dept'=>'客戶', 'content'=>'已寄出報價單給客戶'),
    array('date'=>'2023-08-22', 'type'=>'新需求', 'dept'=>'客服部', 'transfer_dept'=>'行政部', 'content'=>'報價單已產出，請寄給客戶'),
    array('date'=>'2023-08-22', 'type'=>'新需求', 'dept'=>'開發部', 'transfer_dept'=>'客服部', 'content'=>'試算成本完成'),
    array('date'=>'2023-08-21', 'type'=>'新需求', 'dept'=>'客服部', 'transfer_dept'=>'開發部', 'content'=>'請進行試算成本作業'),
    array('date'=>'2023-08-21', 'type'=>'新需求', 'dept'=>'客服部', 'transfer_dept'=>'-', 'content'=>'建立'),
);
?>
<!doctype html>
<html lang="en">

<head>
    <?php include_once "../../../../head.php"; ?>
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/jquery.dataTables.css">
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/responsive.dataTables.min.css">
    <script src="<?php echo $root__url; ?>js/page/datatable/jquery.dataTables.js"></script>
    <script src="<?php echo $root__url; ?>js/page/datatable/dataTables.responsive.min.js"></script>
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/datatable.css">
</head>

<body>
    <div class="page_wrapper">
        <?php include_once "../header.php"; ?>
        <div class="content_area">
            <div class="container-fluid">
                <div class="content_block row justify-content-center">
                    <div class="col-xl-10">
                        <div class="row title_block row align-items-center justify-content-center pb-0 mb-4">
                            <div class="col-sm-auto text-center">
                                <h2><span class="main_title">IRS測驗系統</span></h2>
                            </div>
                            <div class="col-6 col-sm-4 col-lg-4 col-xl-3 col-xxl-2">
                                <select class="form-select inputbox text-center mb-3">
                                    <?php foreach ($case_option as $key => $case_option_data) { ?>
                                        <option><?php echo $case_option_data; ?></option>
                                    <?php } ?>
                                </select>
                            </div>
                        </div>
                        <div class="mb-5">
                            <div class="row align-items-center justify-content-end">
                                <div class="col">
                                    <div class="d-flex justify-content-end">
                                        <button type="button" class="btn_text btn_text_sm btn_secondary_outline mb-2" data-bs-toggle="modal" data-bs-target="#dept_message">部門訊息</button>
                                    </div>
                                </div>
                                <div class="col-md-auto mb-2">
                                    <div class="searchbox_block">
                                        <input type="text" class="form-control form-control-sm inputbox" id="searchbox">
                                    </div>
                                </div>
                            </div>
                            <table id="page_table" class="display" style="width:100%">
                                <thead>
                                    <tr>
                                        <th>部門</th>
                                        <th>事項</th>
                                        <th>狀態</th>
                                        <th>預估天數</th>
                                        <th>期限</th>
                                        <th>負責人員</th>
                                        <th class="w_1">操作</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php foreach ($dept as $key => $dept_data) { ?>
                                        <?php foreach ($dept_data as $key1 => $item_data) { ?>
                                            <tr>
                                                <td class="w_1 text-nowrap"><?php echo $key; ?></td>
                                                <td class="name_width">
                                                    <div class="multiline_ellipsis clamp_2"><?php echo $item_data['issue']; ?></div>
                                                </td>
                                                <td><?php echo $item_data['status']; ?></td>
                                                <td>
                                                    <?php if (!empty($item_data['estimate_day'] || $item_data['accumulate_day'])) { ?>
                                                        <?php $appart = $item_data['estimate_day'] - $item_data['accumulate_day']; ?>
                                                        <?php if ($appart > 0) { ?>
                                                            剩<?php echo $appart; ?>天
                                                        <?php } else { ?>
                                                            遲<?php echo str_replace('-', '', $appart); ?>天
                                                        <?php } ?>
                                                    <?php } else { ?>
                                                        -
                                                    <?php } ?>
                                                </td>
                                                <td>
                                                    <?php if (!empty($item_data['deadline'])) { ?>
                                                        <?php echo $item_data['deadline']; ?>
                                                    <?php } ?>
                                                </td>
                                                <td><?php echo $item_data['member']; ?></td>
                                                <td class="w_1">
                                                    <?php if ($key == '設計') { ?>
                                                        <button type="button" class="btn_text btn_text_sm btn_secondary_outline" onclick="location.href='general_task_list.php';">任務列表</button>
                                                    <?php } else if ($key == '客服') { ?>
                                                        <button type="button" class="btn_text btn_text_sm btn_secondary_outline" onclick="location.href='service_task_list.php';">任務列表</button>
                                                    <?php } ?>
                                                </td>
                                                <td></td>
                                            </tr>
                                        <?php } ?>
                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php include_once "../../../../footer.php"; ?>
    </div>
    <?php foreach ($record as $key => $record_data) { ?>
        <!-- 詳細 modal -->
        <div class="modal fade" id="work_detail<?php echo $key; ?>" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable">
                <div class="modal-content">
                    <div class="modal-header justify-content-center pb-0">
                        <div class="w-100">
                            <h1 class="modal-title h6 text-center mb-3"><?php echo $record_data['date'] ?>&emsp;<?php echo $record_data['member'] ?></h1>
                            <ul class="nav nav-tabs border-bottom-0 nav_tabs_box" id="myTab" role="tablist">
                                <li class="nav-item">
                                    <button class="nav-link active" id="work_item<?php echo $key; ?>-tab" data-bs-toggle="tab" data-bs-target="#work_item<?php echo $key; ?>" type="button" role="tab" aria-controls="work_item<?php echo $key; ?>" aria-selected="false">工作細項</button>
                                </li>
                                <li class="nav-item">
                                    <button class="nav-link" id="info<?php echo $key; ?>-tab" data-bs-toggle="tab" data-bs-target="#info<?php echo $key; ?>" type="button" role="tab" aria-controls="info<?php echo $key; ?>" aria-selected="true">資訊</button>
                                </li>

                            </ul>
                        </div>
                    </div>
                    <div class="modal-body scrollbar_y">
                        <div class="p-2">
                            <div class="tab-content">
                                <div class="tab-pane fade show active" id="work_item<?php echo $key; ?>" role="tabpanel" aria-labelledby="work_item<?php echo $key; ?>-tab">
                                    <div class="row">
                                        <div class="col-12">
                                            <div class="fw_500 mb-3">實作第<?php echo $record_data['accumulate_day']; ?>天</div>
                                            <table class="table">
                                                <?php foreach ($record_data['work_detail'] as $key1 => $work_detail) { ?>
                                                    <tr>
                                                        <td><?php echo $work_detail['task'] ?></td>
                                                        <td><?php echo $work_detail['status'] ?></td>
                                                    </tr>
                                                <?php } ?>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                                <div class="tab-pane fade" id="info<?php echo $key; ?>" role="tabpanel" aria-labelledby="info<?php echo $key; ?>-tab">
                                    <table class="table">
                                        <tbody>
                                            <tr>
                                                <th scope="row" class="text-nowrap w_1">案件</th>
                                                <td><?php echo $record_data['case']; ?></td>
                                            </tr>
                                            <tr>
                                                <th scope="row" class="text-nowrap w_1">事項</th>
                                                <td>
                                                    <?php if (!empty($record_data['item_type'])) { ?>
                                                        <span class="fw_500"><?php echo $record_data['item_type']; ?></span>
                                                    <?php } ?>
                                                    <?php echo $record_data['issue']; ?>
                                                </td>
                                            </tr>
                                            <tr>
                                                <th scope="row" class="text-nowrap w_1">期限</th>
                                                <td><?php echo $record_data['deadline']; ?></td>
                                            </tr>
                                            <tr>
                                                <th scope="row" class="text-nowrap w_1">預估天數</th>
                                                <td><?php echo $record_data['estimate_day']; ?></td>
                                            </tr>
                                            <tr>
                                                <th scope="row" class="text-nowrap w_1">單位</th>
                                                <td><?php echo $record_data['unit']; ?></td>
                                            </tr>
                                            <tr>
                                                <th scope="row" class="text-nowrap w_1">相關專案</th>
                                                <td><?php echo $record_data['project']; ?></td>
                                            </tr>
                                            <tr>
                                                <th scope="row" class="text-nowrap w_1">類型</th>
                                                <td><?php echo $record_data['type']; ?></td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>

                            </div>
                        </div>
                    </div>
                    <div class="modal-footer justify-content-center">
                        <button type="button" class="btn_text btn_secondary_outline" data-bs-dismiss="modal">返回</button>
                    </div>
                </div>
            </div>
        </div>
    <?php } ?>
    <!-- 部門訊息 modal -->
    <div class="modal fade" id="dept_message" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered modal-dialog-scrollable">
            <div class="modal-content">
                <div class="modal-header justify-content-center pb-0">
                    <div class="w-100">
                        <h1 class="modal-title h6 text-center mb-3"><?php echo $page['project'] ?>-<?php echo $page['case'] ?></h1>
                    </div>
                </div>
                <div class="modal-body scrollbar_y">
                    <div class="p-2">
                        <table class="table">
                            <thead>
                                <th>日期</th>
                                <th>類型</th>
                                <th>部門</th>
                                <th>轉交</th>
                                <th>細項</th>
                            </thead>
                            <tbody>
                                <?php foreach ($dept_message as $key => $dept_message_data) { ?>
                                    <tr>
                                        <td><?php echo $dept_message_data['date']; ?></td>
                                        <td><?php echo $dept_message_data['type']; ?></td>
                                        <td><?php echo $dept_message_data['dept']; ?></td>
                                        <td><?php echo $dept_message_data['transfer_dept']; ?></td>
                                        <td><?php echo $dept_message_data['content']; ?></td>
                                    </tr>
                                <?php } ?>
                            </tbody>
                        </table>
                    </div>
                </div>
                <div class="modal-footer justify-content-center">
                    <button type="button" class="btn_text btn_secondary_outline" data-bs-dismiss="modal">返回</button>
                </div>
            </div>
        </div>
    </div>

    <script>
        /*table*/
        $(document).ready(function() {
            $(document).ready(function() {

                function hideSearchInputs(columns) {
                    for (i = 0; i < columns.length; i++) {
                        if (columns[i]) {
                            $('.filterhead:eq(' + i + ')').show();
                        } else {
                            $('.filterhead:eq(' + i + ')').hide();
                        }
                    }
                }

                var table = $('#page_table').DataTable({
                    language: {
                        'paginate': {
                            'previous': '<i class="fa-solid fa-chevron-left"></i>',
                            'next': '<i class="fa-solid fa-chevron-right"></i>'
                        }
                    },
                    stripeClasses: [],

                    orderCellsTop: true,
                    dom: 'Bfrtip',
                    columnDefs: [{
                        className: 'dtr-control arrow-right',
                        orderable: false,
                        target: -1
                    }],
                    responsive: {
                        details: {
                            display: $.fn.dataTable.Responsive.display.modal({
                                header: function(row) {
                                    var data = row.data();
                                    return data[0];
                                }
                            }),
                            renderer: $.fn.dataTable.Responsive.renderer.tableAll(),
                            type: 'column',
                            target: -1
                        },

                    },
                    scrollCollapse: true,
                    scroller: true,
                    initComplete: function() {
                        var api = this.api();
                        $('.filterhead', api.table().header()).each(function(i) {
                            var column = api.column(i);
                            var select = $('<select><option value=""></option></select>')
                                .appendTo($(this).empty())
                                .on('change', function() {
                                    var val = $.fn.dataTable.util.escapeRegex(
                                        $(this).val()
                                    );

                                    column
                                        .search(val ? '^' + val + '$' : '', true, false)
                                        .draw();
                                });

                            column.data().unique().sort().each(function(d, j) {
                                select.append('<option value="' + d + '">' + d + '</option>');
                            });
                        });
                        hideSearchInputs(api.columns().responsiveHidden().toArray());
                    }
                });

                table.on('responsive-resize', function(e, datatable, columns) {
                    hideSearchInputs(columns);

                });
                $('#searchbox').keyup(function() {
                    table.search($(this).val()).draw();
                })
            });
        });
    </script>

</body>

</html>