<?php
$root__url = "../../../../../";
?>
<?php
$project = array(
    ['project' => '教育訓練平台', 'case' => '系統建置', 'unit' => '儀居不動產', 'project_manager' => '陳俊廷', 'progress' => '50', 'deadline' => '2023-08-31'],
    ['project' => '直錄播', 'case' => '系統建置', 'unit' => '立功補習班', 'project_manager' => '許智凱', 'progress' => '50', 'deadline' => '2023-08-31'],
    ['project' => '企業連動式協作之遠距辦公平台', 'case' => '系統建置', 'unit' => 'SBIR', 'project_manager' => '許智凱', 'progress' => '50', 'deadline' => '2023-08-31'],
    ['project' => 'IRS測驗系統', 'case' => '系統建置', 'unit' => '鼓山高中', 'project_manager' => '許智凱', 'progress' => '50', 'deadline' => '2023-08-31'],
)
?>
<!doctype html>
<html lang="en">

<head>
    <?php include_once "../../../../head.php"; ?>
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/jquery.dataTables.css">
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/responsive.dataTables.min.css">
    <script src="<?php echo $root__url; ?>js/page/datatable/jquery.dataTables.js"></script>
    <script src="<?php echo $root__url; ?>js/page/datatable/dataTables.responsive.min.js"></script>
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/datatable.css">
</head>

<body>
    <div class="page_wrapper">
        <?php include_once "../header.php"; ?>
        <div class="content_area">
            <div class="container-fluid">
                <div class="content_block row justify-content-center">
                    <div class="col-xl-10">
                        <div class="row title_block row align-items-center pb-0 mb-4">
                            <div class="col"></div>
                            <div class="col-auto text-center">
                                <h2><span class="main_title">專案列表</span></h2>
                            </div>
                            <div class="col">
                            </div>
                        </div>
                        <div class="mb-5">
                            <div class="row align-items-center justify-content-end">
                                <div class="col-md-auto mb-2">
                                    <div class="searchbox_block">
                                        <input type="text" class="form-control form-control-sm inputbox" id="searchbox">
                                    </div>
                                </div>
                            </div>
                            <table id="page_table" class="display" style="width:100%">
                                <thead>
                                    <tr>
                                        <th>專案</th>
                                        <th>執行案件</th>
                                        <th>進度</th>
                                        <th>單位</th>
                                        <th>專案經理</th>
                                        <th>操作</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php foreach ($project as $key => $project_data) { ?>
                                        <tr>
                                            <td><?php echo $project_data['project'] ?></td>
                                            <td><?php echo $project_data['case'] ?></td>
                                            <td><?php echo $project_data['progress'] ?>%</td>
                                            <td><?php echo $project_data['unit'] ?></td>
                                            <td class="name_width">
                                                <div class="multiline_ellipsis clamp_2"><?php echo $project_data['project_manager'] ?></div>
                                            </td>
                                            <td class="w_1">
                                                <div class="d-inline-flex">
                                                    <button type="button" class="btn_text btn_text_sm btn_secondary_outline me-2" data-bs-toggle="modal" data-bs-target="#edit<?php echo $key; ?>">編輯</button>
                                                    <button type="button" class="btn_text btn_text_sm btn_secondary_outline" onclick="location.href='issue_list.php';">進入專案</button>
                                                </div>
                                            </td>
                                            <td></td>
                                        </tr>

                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>


                    </div>
                </div>
            </div>
        </div>
        <?php include_once "../../../../footer.php"; ?>
    </div>
    <?php foreach ($project as $key => $project_data) { ?>
        <!-- 編輯 modal -->
        <div class="modal fade" id="edit<?php echo $key; ?>" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable">
                <div class="modal-content">
                    <div class="modal-header justify-content-center pb-0">
                        <div class="w-100">
                            <h1 class="modal-title h6 text-center mb-3">編輯</h1>
                        </div>
                    </div>
                    <div class="modal-body scrollbar_y">
                        <div class="p-2">
                            <div class="row gy-3">
                                <div class="col-12 inputbox_block">
                                    <label class="form-label">專案名稱</label>
                                    <input type="text" class="form-control form-control-sm inputbox" value="<?php echo $record_data['project']; ?>">
                                </div>
                                <div class="col-12 inputbox_block">
                                    <label class="form-label">當前進度</label>
                                    <div class="row gx-2">
                                        <div class="col">
                                            <input type="number" class="form-control form-control-sm inputbox">
                                        </div>
                                        <div class="col-auto">%</div>
                                    </div>
                                </div>
                                <div class="col-12 inputbox_block">
                                    <label class="form-label">專案經理</label>
                                    <select class="form-select form-select-sm inputbox">
                                        <option>請選擇專案經理</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer justify-content-center">
                        <button type="button" class="btn_text btn_secondary_outline me-3" data-bs-dismiss="modal">返回</button>
                        <button type="button" class="btn_text btn_primary_outline me-3" data-bs-dismiss="modal">儲存</button>
                    </div>
                </div>
            </div>
        </div>
    <?php } ?>

    <script>
        /*table*/
        $(document).ready(function() {
            $(document).ready(function() {

                function hideSearchInputs(columns) {
                    for (i = 0; i < columns.length; i++) {
                        if (columns[i]) {
                            $('.filterhead:eq(' + i + ')').show();
                        } else {
                            $('.filterhead:eq(' + i + ')').hide();
                        }
                    }
                }

                var table = $('#page_table').DataTable({
                    language: {
                        'paginate': {
                            'previous': '<i class="fa-solid fa-chevron-left"></i>',
                            'next': '<i class="fa-solid fa-chevron-right"></i>'
                        }
                    },
                    stripeClasses: [],

                    orderCellsTop: true,
                    dom: 'Bfrtip',
                    columnDefs: [{
                        className: 'dtr-control arrow-right',
                        orderable: false,
                        target: -1
                    }],
                    responsive: {
                        details: {
                            display: $.fn.dataTable.Responsive.display.modal({
                                header: function(row) {
                                    var data = row.data();
                                    return data[0];
                                }
                            }),
                            renderer: $.fn.dataTable.Responsive.renderer.tableAll(),
                            type: 'column',
                            target: -1
                        },

                    },
                    scrollCollapse: true,
                    scroller: true,
                    initComplete: function() {
                        var api = this.api();
                        $('.filterhead', api.table().header()).each(function(i) {
                            var column = api.column(i);
                            var select = $('<select><option value=""></option></select>')
                                .appendTo($(this).empty())
                                .on('change', function() {
                                    var val = $.fn.dataTable.util.escapeRegex(
                                        $(this).val()
                                    );

                                    column
                                        .search(val ? '^' + val + '$' : '', true, false)
                                        .draw();
                                });

                            column.data().unique().sort().each(function(d, j) {
                                select.append('<option value="' + d + '">' + d + '</option>');
                            });
                        });
                        hideSearchInputs(api.columns().responsiveHidden().toArray());
                    }
                });

                table.on('responsive-resize', function(e, datatable, columns) {
                    hideSearchInputs(columns);

                });
                $('#searchbox').keyup(function() {
                    table.search($(this).val()).draw();
                })
            });
        });
    </script>

</body>

</html>