<?php
$root__url = "../../../../../";
?>
<?php
$sub_title = array('dept' => '客服部', 'issue' => '報價流程');
$title = array('project' => 'IRS測驗系統', 'case' => '系統建置', 'issue' => '線稿流程');
$task = array(
    array('date' => '2023-08-22', 'transfer_dept' => '行政', 'content' => '報價單已產出，請寄給客戶', 'status' => '通過', 'member' => '孫A', 'work_record' => array(['date' => '2023-08-22', 'member' => '孫A', 'status' => '通過'])),
    array('date' => '2023-08-22', 'transfer_dept' => '開發', 'content' => '請進行試算成本作業', 'status' => '通過', 'member' => '孫A', 'work_record' => array(['date' => '2023-08-22', 'member' => '孫A', 'status' => '通過'],['date' => '2023-08-21', 'member' => '孫A', 'status' => '不通過'])),
    array('date' => '2023-08-21', 'content' => '建立', 'member' => '孫A')
);
?>

<!doctype html>
<html lang="en">

<head>
    <?php include_once "../../../../head.php"; ?>
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/jquery.dataTables.css">
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/responsive.dataTables.min.css">
    <script src="<?php echo $root__url; ?>js/page/datatable/jquery.dataTables.js"></script>
    <script src="<?php echo $root__url; ?>js/page/datatable/dataTables.responsive.min.js"></script>
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/datatable.css">
</head>

<body>
    <div class="page_wrapper">
        <?php include_once "../header.php"; ?>
        <div class="content_area">
            <div class="container-fluid">
                <div class="content_block row justify-content-center">
                    <div class="col-xl-10">
                        <div class="row title_block row align-items-center justify-content-center pb-0 mb-4">
                            <div class="col-sm-auto text-center">
                                <h2>
                                    <span class="main_title">
                                        <span class="d-block mb-2"><?php echo $title['issue']; ?></span>
                                        <span class="d-block fsize_1 fw_300"><?php echo $title['project']; ?>-<?php echo $title['case']; ?></span>
                                    </span>
                                </h2>
                            </div>
                        </div>
                        <div class="mb-5">
                            <div class="row align-items-center justify-content-end">
                                <div class="col fw_500 mb-2"><?php echo $sub_title['dept']; ?>-<?php echo $sub_title['issue']; ?></div>
                                <div class="col-md-auto mb-2">
                                    <div class="searchbox_block">
                                        <input type="text" class="form-control form-control-sm inputbox" id="searchbox">
                                    </div>
                                </div>
                            </div>
                            <table id="page_table" class="display" style="width:100%">
                                <thead>
                                    <tr>
                                        
                                        <th>轉交部門</th>
                                        <th>訊息</th>
                                        <th>狀態</th>
                                        <th>日期</th>
                                        <th>人員</th>
                                        <th class="w_1">操作</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php foreach ($task as $key => $task_data) { ?>
                                        <tr>
                                            <td class="text-nowrap w_1">
                                                <?php if ($task_data['transfer_dept']) { ?>
                                                    <?php echo $task_data['transfer_dept']; ?>
                                                <?php } else { ?>
                                                    -
                                                <?php } ?>
                                            </td>
                                            <td class="name_width">
                                                <div class="multiline_ellipsis clamp_2"><?php echo $task_data['content']; ?></div>
                                            </td>
                                            <td><?php echo $task_data['status']; ?></td>
                                            <td class="w_1 text-nowrap"><?php echo $task_data['date'] ?></td>
                                            <td><?php echo $task_data['member']; ?></td>
                                            <td class="w_1">
                                                <?php if ($task_data['work_record']) { ?>
                                                    <button type="button" class="btn_text btn_text_sm btn_secondary_outline" data-bs-toggle="modal" data-bs-target="#work_record<?php echo $key; ?>">詳細</button>
                                                <?php } ?>
                                            </td>
                                            <td></td>
                                        </tr>

                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>


                    </div>
                </div>
            </div>
        </div>
        <?php include_once "../../../../footer.php"; ?>
    </div>
    <?php foreach ($task as $key => $task_data) { ?>
        <!-- 詳細 modal -->
        <div class="modal fade" id="work_record<?php echo $key; ?>" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable">
                <div class="modal-content">
                    <div class="modal-body scrollbar_y">
                        <div class="p-2">
                            <div class="row">
                                <div class="col-12">
                                    <table class="table">
                                        <?php foreach ($task_data['work_record'] as $key1 => $work_record) { ?>
                                            <tr>
                                                <td><?php echo $work_record['date'] ?></td>
                                                <td><?php echo $work_record['member'] ?></td>
                                                <td><?php echo $work_record['status'] ?></td>
                                            </tr>
                                        <?php } ?>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer justify-content-center">
                        <button type="button" class="btn_text btn_secondary_outline" data-bs-dismiss="modal">返回</button>
                    </div>
                </div>
            </div>
        </div>
    <?php } ?>

    <script>
        /*table*/
        $(document).ready(function() {
            $(document).ready(function() {

                function hideSearchInputs(columns) {
                    for (i = 0; i < columns.length; i++) {
                        if (columns[i]) {
                            $('.filterhead:eq(' + i + ')').show();
                        } else {
                            $('.filterhead:eq(' + i + ')').hide();
                        }
                    }
                }

                var table = $('#page_table').DataTable({
                    language: {
                        'paginate': {
                            'previous': '<i class="fa-solid fa-chevron-left"></i>',
                            'next': '<i class="fa-solid fa-chevron-right"></i>'
                        }
                    },
                    stripeClasses: [],

                    orderCellsTop: true,
                    dom: 'Bfrtip',
                    columnDefs: [{
                        className: 'dtr-control arrow-right',
                        orderable: false,
                        target: -1
                    }],
                    responsive: {
                        details: {
                            display: $.fn.dataTable.Responsive.display.modal({
                                header: function(row) {
                                    var data = row.data();
                                    return data[0];
                                }
                            }),
                            renderer: $.fn.dataTable.Responsive.renderer.tableAll(),
                            type: 'column',
                            target: -1
                        },

                    },
                    scrollCollapse: true,
                    scroller: true,
                    initComplete: function() {
                        var api = this.api();
                        $('.filterhead', api.table().header()).each(function(i) {
                            var column = api.column(i);
                            var select = $('<select><option value=""></option></select>')
                                .appendTo($(this).empty())
                                .on('change', function() {
                                    var val = $.fn.dataTable.util.escapeRegex(
                                        $(this).val()
                                    );

                                    column
                                        .search(val ? '^' + val + '$' : '', true, false)
                                        .draw();
                                });

                            column.data().unique().sort().each(function(d, j) {
                                select.append('<option value="' + d + '">' + d + '</option>');
                            });
                        });
                        hideSearchInputs(api.columns().responsiveHidden().toArray());
                    }
                });

                table.on('responsive-resize', function(e, datatable, columns) {
                    hideSearchInputs(columns);

                });
                $('#searchbox').keyup(function() {
                    table.search($(this).val()).draw();
                })
            });
        });
    </script>

</body>

</html>