<?php
$root__url = "../../../../";
?>
<?php

$focus_project = array(
    ['project_name' => '承利保經官網', 'company' => '承利保經', 'case' => '修改「合作夥伴」頁面排版', 'leader' => '孫甲', 'deadline' => '2023-08-31'],
)

?>
<!doctype html>
<html lang="en">

<head>
    <?php include_once "../../../head.php"; ?>
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/jquery.dataTables.css">
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/responsive.dataTables.min.css">
    <script src="<?php echo $root__url; ?>js/page/datatable/jquery.dataTables.js"></script>
    <script src="<?php echo $root__url; ?>js/page/datatable/dataTables.responsive.min.js"></script>
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/datatable.css">
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/zsystem//dept/overview.css">

</head>

<body>
    <div class="page_wrapper">
        <?php include_once "header.php"; ?>
        <div class="content_area">
            <div class="container-fluid">
                <div class="content_block row justify-content-center">
                    <div class="col-xl-10">
                        <div class="mb-5 fw_700 text-center h4 d-flex justify-content-center">
                            <div class="overview_title">客服部門</div>
                        </div>
                        <div class="row gx-md-5">
                            <div class="col-md-6 mb-5">
                                <div class="row align-items-center justify-content-center justify-content-md-between mb-3 gx-2">
                                    <div class="col-auto">
                                        <h3 class="text-center text-md-start"><span class="heading">人員年度表現</span></h3>
                                    </div>
                                </div>
                                <canvas id="stackedChartID"></canvas>
                            </div>
                            <div class="col-md-6 mb-5">
                                <div class="mb-3">
                                    <h3 class="text-center text-md-start"><span class="heading">每月累計完成項</span></h3>
                                </div>
                                <canvas id="month_chart"></canvas>
                            </div>
                        </div>
                        <div class="mb-5">
                            <div class="row align-items-center justify-content-center justify-content-md-between mb-3">
                                <div class="col-md-auto">
                                    <h3 class="text-center text-md-start"><span class="heading">關注專案</span></h3><!--即期前五項-->
                                </div>
                                <div class="col">
                                    <div class="row align-items-center justify-content-end">
                                        <div class="col-md-auto mb-2">
                                            <div class="searchbox_block">
                                                <input type="text" class="form-control form-control-sm inputbox" id="searchbox">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <table id="page_table" class="display" style="width:100%">
                                <thead>
                                    <tr>
                                        <th>專案</th>
                                        <th>案件</th>
                                        <th>客服人員</th>
                                        <th class="w_1">期限</th>
                                        <th>操作</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php foreach ($focus_project as $key => $focus_project_data) { ?>
                                        <tr>
                                            <td class="name_width">
                                                <div class="multiline_ellipsis clamp_2"><?php echo $focus_project_data['project_name'] ?></div>
                                            </td>
                                            <td class="name_width">
                                                <div class="multiline_ellipsis clamp_2"><?php echo $focus_project_data['case'] ?></div>
                                            </td>
                                            <td class="text-nowrap">
                                                <div class="multiline_ellipsis clamp_2"><?php echo $focus_project_data['leader'] ?></div>
                                            </td>
                                            <td class="text-nowrap"><?php echo $focus_project_data['deadline'] ?></td>
                                            <td>
                                                <button type="button" class="btn_text btn_text_sm btn_secondary_outline" onclick="location.href='project/issue_list.php';">詳細</button>
                                            </td>
                                            <td></td>
                                        </tr>

                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>


                    </div>
                </div>
            </div>
        </div>
        <?php include_once "../../../footer.php"; ?>
    </div>

    <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/chart.js/dist/chart.umd.min.js"></script>
    <script>
        /*table*/
        $(document).ready(function() {
            $(document).ready(function() {

                function hideSearchInputs(columns) {
                    for (i = 0; i < columns.length; i++) {
                        if (columns[i]) {
                            $('.filterhead:eq(' + i + ')').show();
                        } else {
                            $('.filterhead:eq(' + i + ')').hide();
                        }
                    }
                }

                var table = $('#page_table').DataTable({
                    language: {
                        'paginate': {
                            'previous': '<i class="fa-solid fa-chevron-left"></i>',
                            'next': '<i class="fa-solid fa-chevron-right"></i>'
                        }
                    },
                    stripeClasses: [],

                    orderCellsTop: true,
                    dom: 'Bfrtip',
                    columnDefs: [{
                        className: 'dtr-control arrow-right',
                        orderable: false,
                        target: -1
                    }],
                    responsive: {
                        details: {
                            display: $.fn.dataTable.Responsive.display.modal({
                                header: function(row) {
                                    var data = row.data();
                                    return data[0];
                                }
                            }),
                            renderer: $.fn.dataTable.Responsive.renderer.tableAll(),
                            type: 'column',
                            target: -1
                        },

                    },
                    scrollCollapse: true,
                    scroller: true,
                    initComplete: function() {
                        var api = this.api();
                        $('.filterhead', api.table().header()).each(function(i) {
                            var column = api.column(i);
                            var select = $('<select><option value=""></option></select>')
                                .appendTo($(this).empty())
                                .on('change', function() {
                                    var val = $.fn.dataTable.util.escapeRegex(
                                        $(this).val()
                                    );

                                    column
                                        .search(val ? '^' + val + '$' : '', true, false)
                                        .draw();
                                });

                            column.data().unique().sort().each(function(d, j) {
                                select.append('<option value="' + d + '">' + d + '</option>');
                            });
                        });
                        hideSearchInputs(api.columns().responsiveHidden().toArray());
                    }
                });

                table.on('responsive-resize', function(e, datatable, columns) {
                    hideSearchInputs(columns);

                });
                $('#searchbox').keyup(function() {
                    table.search($(this).val()).draw();
                })
            });
        });

        const data = {
            labels: ['孫甲', '顏乙', '黃丙', '張丁', '劉戊', '李己', '江庚'],
            datasets: [{
                label: '好評件數',
                data: [5, 5, 3, 4, 6, 3, 5],
                backgroundColor: 'rgb(201, 228, 227)',
                borderColor: 'rgb(201, 228, 227)',
                borderWidth: 1,
                borderSkipped: false
            },{
                label: '負評件數',
                data: [-1, -3, 0, 0, 0, -2, 0],
                backgroundColor: 'rgba(200, 200, 200, 1)',
                borderColor: 'rgba(200, 200, 200, 1)',
                borderWidth: 1,
                borderSkipped: false
            }]
        };

        // config 
        const config = {
            type: 'bar',
            data,
            options: {
                plugins:{
                    tooltip:{
                        callbacks:{
                            label: context => {
                                const nett = Math.abs(context.raw)
                                return `${context.dataset.label}: ${nett}`
                            }
                        }
                    }
                },
                scales: {
                    x: {
                        stacked: true,
                    },
                    y: {
                        beginAtZero: true
                    }
                }
            }
        };

        const myChart = new Chart(
            document.getElementById('stackedChartID'),
            config
        );


        /*month*/
        const month_data = {
            labels: [
                '孫甲', '顏乙', '黃丙', '張丁', '劉戊', '李己', '江庚'
            ],
            datasets: [ {
                type: 'bar',
                label: '完成細項',
                data: [550, 650, 630, 700, 650, 800, 700],
                borderColor: 'rgb(190, 224, 223)',
                backgroundColor: 'rgba(190, 224, 223, 0.8)'
            }]
        };
        const month_config = {
            type: 'scatter',
            data: month_data,
            options: {
                scales: {
                    y: {
                        beginAtZero: true
                    }
                }
            }
        };
        const mixChart = new Chart(
            document.getElementById('month_chart'),
            month_config
        )
    </script>

</body>

</html>