<?php
$root__url = "../../../../../";
?>
<?php
$merged_dept = array(
    'service_dept' => array(
        ['staff_id' => '3', 'staff_name' => '許智凱', 'performance_point' => '800'],
        ['staff_id' => '4', 'staff_name' => '陳俊廷', 'performance_point' => '800'],
        ['staff_id' => '5', 'staff_name' => '林盈君', 'performance_point' => '800']
    ), 'design_dept' => array(
        ['staff_id' => '5', 'staff_name' => '林盈君', 'performance_point' => '24'],
        ['staff_id' => '6', 'staff_name' => '謝佩恩', 'performance_point' => '24']
    )
)
?>
<!doctype html>
<html lang="en">

<head>
    <?php include_once "../../../../head.php"; ?>
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/jquery.dataTables.css">
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/responsive.dataTables.min.css">
    <script src="<?php echo $root__url; ?>js/page/datatable/jquery.dataTables.js"></script>
    <script src="<?php echo $root__url; ?>js/page/datatable/dataTables.responsive.min.js"></script>
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/datatable.css">
</head>

<body>
    <div class="page_wrapper">
        <?php include_once "../header.php"; ?>
        <div class="content_area">
            <div class="container-fluid">
                <div class="content_block row justify-content-center">
                    <div class="col-xl-10">
                        <div class="row title_block row align-items-center pb-0 mb-4">
                            <div class="col"></div>
                            <div class="col-auto text-center">
                                <h2><span class="main_title">人員列表</span></h2>
                            </div>
                            <div class="col">
                            </div>
                        </div>
                        <div class="mb-5">
                            <div class="row align-items-center justify-content-end">
                                <div class="col-sm-auto mb-2">
                                    <div class="searchbox_block">
                                        <input type="text" class="form-control form-control-sm inputbox" id="searchbox">
                                    </div>
                                </div>
                            </div>
                            <table id="page_table" class="display" style="width:100%">
                                <thead>
                                    <tr>
                                        <th class="w_1">#</th>
                                        <th>人員</th>
                                        <th>部門</th>
                                        <th>
                                            <span class="d-none d-sm-inline-block">績效</span><span class="d-inline-block">點數</span>
                                        </th>
                                        <th class="w_1">操作</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php foreach ($merged_dept as $key => $dept_data) { ?>
                                        <?php if (array_key_exists($key, $role) && $role[$key]=='manager' ) { ?>
                                        <?php foreach ($dept_data as $key1 => $performance_data) { ?>                                            
                                            <tr>
                                                <td class="w_1"><?php echo $performance_data['staff_id'] ?></td>
                                                <td class="name_width">
                                                    <div class="multiline_ellipsis clamp_2"><?php echo $performance_data['staff_name'] ?></div>
                                                </td>
                                                <td class="text-nowrap">
                                                    <?php
                                                    switch ($key) {
                                                        case 'assistant':
                                                            echo "特助";
                                                            break;
                                                        case 'administration_dept':
                                                            echo "行政部";
                                                            break;
                                                        case 'service_dept':
                                                            echo "客服部";
                                                            break;
                                                        case 'financial_dept':
                                                            echo "財務部";
                                                            break;
                                                        case 'business_dept':
                                                            echo "業務部";
                                                            break;
                                                        case 'engineering_dept':
                                                            echo "開發部";
                                                            break;
                                                        case 'design_dept':
                                                            echo "設計部";
                                                            break;
                                                    }
                                                    ?>
                                                </td>
                                                <td><?php echo $performance_data['performance_point'] ?></td>
                                                <td>
                                                    <button type="button" class="btn_text btn_text_sm btn_secondary_outline" onclick="location.href='design_staff_detail.php';">詳細</button>
                                                </td>
                                                <td></td>
                                            </tr>                                            
                                        <?php } ?>
                                        <?php } ?>
                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>


                    </div>
                </div>
            </div>
        </div>
        <?php include_once "../../../../footer.php"; ?>
    </div>
    <!-- 通知確認 -->
    <?php foreach ($notification as $key => $notification_data) { ?>
        <div class="modal fade" id="notify_confirm_modal<?php echo $key; ?>" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable">
                <div class="modal-content">
                    <div class="modal-header justify-content-center">
                        <h1 class="modal-title h6 "><?php echo $notification_data['dept'] ?>&emsp;<?php echo $notification_data['notify_time'] ?></h1>
                    </div>
                    <div class="modal-body scrollbar_y">
                        <div class="p-2">
                            <div class="row">
                                <div class="col-12 mb-3">是否需要指派任務？</div>
                                <div class="col">
                                    <button type="button" class="btn_text btn_text_lg btn_secondary_outline w-100" data-bs-dismiss="modal">不需要</button>
                                </div>
                                <div class="col">
                                    <button type="button" class="btn_text btn_text_lg btn_secondary_outline w-100" data-bs-dismiss="modal" data-bs-toggle="modal" data-bs-target="#assign_modal<?php echo $key; ?>">需要</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="assign_modal<?php echo $key; ?>" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable">
                <div class="modal-content">
                    <div class="modal-header justify-content-center">
                        <h1 class="modal-title h6">指派任務</h1>
                    </div>
                    <div class="modal-body scrollbar_y">
                        <div class="p-2">
                            <?php for ($i = 0; $i < 2; $i++) {  ?>
                                <div class="container-fluid bg-light py-2 mb-2">
                                    <div class="row gx-2">
                                        <div class="col-sm inputbox_block">
                                            <label class="form-label small mb-1" for="task<?php echo $i; ?>">任務</label>
                                            <input class="form-control inputbox mb-2" type="text" placeholder="請輸入任務" id="task<?php echo $i; ?>">
                                        </div>
                                        <div class="col-sm-5 inputbox_block">
                                            <label class="form-label small mb-1" for="leader<?php echo $i; ?>">負責人員</label>
                                            <select class="form-select inputbox mb-2" id="leader<?php echo $i; ?>">
                                                <option disabled selected value>請輸入負責人員</option>
                                                <?php foreach ($member as $key1 => $value) { ?>
                                                    <option><?php echo $value; ?></option>
                                                <?php } ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="row gx-2">
                                        <div class="col-sm inputbox_block">
                                            <label class="form-label small mb-1" for="deadline<?php echo $i; ?>">期限</label>
                                            <input class="form-control inputbox mb-2" type="date" id="deadline<?php echo $i; ?>">
                                        </div>
                                        <div class="col-sm-5 inputbox_block">
                                            <label class="form-label small mb-1" for="day<?php echo $i; ?>">天數</label>
                                            <input class="form-control inputbox mb-2" type="number" id="day<?php echo $i; ?>">
                                        </div>
                                    </div>
                                </div>
                            <?php } ?>
                            <div class="mt-2 d-flex justify-content-center">
                                <button class="btn_text btn_text_sm btn_secondary_outline"><i class="fa-solid fa-plus"></i>新增任務</button>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer justify-content-center">
                        <button type="button" class="btn_text btn_secondary_outline" data-bs-dismiss="modal">取消</button>
                        <button type="button" class="btn_text btn_primary_outline" data-bs-dismiss="modal">確定</button>
                    </div>
                </div>
            </div>
        </div>
    <?php } ?>

    <!-- 通知詳細資訊 -->
    <?php foreach ($notification as $key => $notification_data) { ?>
        <div class="modal fade" id="notify_detail_modal<?php echo $key; ?>" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable">
                <div class="modal-content">
                    <div class="modal-header justify-content-center">
                        <h1 class="modal-title h6 "><?php echo $notification_data['dept'] ?>&emsp;<?php echo $notification_data['notify_time'] ?></h1>
                    </div>
                    <div class="modal-body scrollbar_y">
                        <div class="p-2">
                            <table class="table">
                                <tbody>
                                    <tr>
                                        <th scope="row" class="text-nowrap w_1">部門</th>
                                        <td><?php echo $notification_data['dept']; ?></td>
                                    </tr>
                                    <tr>
                                        <th scope="row" class="text-nowrap w_1">案件</th>
                                        <td><?php echo $notification_data['case']; ?></td>
                                    </tr>
                                    <tr>
                                        <th scope="row" class="text-nowrap w_1">訊息</th>
                                        <td><?php echo $notification_data['content']; ?></td>
                                    </tr>
                                    <tr>
                                        <th scope="row" class="text-nowrap w_1">通知時間</th>
                                        <td><?php echo $notification_data['notify_time']; ?></td>
                                    </tr>
                                    <tr>
                                        <th scope="row" class="text-nowrap w_1">單位</th>
                                        <td><?php echo $notification_data['unit']; ?></td>
                                    </tr>
                                    <tr>
                                        <th scope="row" class="text-nowrap w_1">相關專案</th>
                                        <td><?php echo $notification_data['project']; ?></td>
                                    </tr>
                                    <tr>
                                        <th scope="row" class="text-nowrap w_1">類型</th>
                                        <td><?php echo $notification_data['type']; ?></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="modal-footer justify-content-center">
                        <button type="button" class="btn_text btn_secondary_outline" data-bs-dismiss="modal">返回</button>
                    </div>
                </div>
            </div>
        </div>
    <?php } ?>

    <script>
        /*table*/
        $(document).ready(function() {
            $(document).ready(function() {

                function hideSearchInputs(columns) {
                    for (i = 0; i < columns.length; i++) {
                        if (columns[i]) {
                            $('.filterhead:eq(' + i + ')').show();
                        } else {
                            $('.filterhead:eq(' + i + ')').hide();
                        }
                    }
                }

                var table = $('#page_table').DataTable({
                    language: {
                        'paginate': {
                            'previous': '<i class="fa-solid fa-chevron-left"></i>',
                            'next': '<i class="fa-solid fa-chevron-right"></i>'
                        }
                    },
                    stripeClasses: [],

                    orderCellsTop: true,
                    dom: 'Bfrtip',
                    columnDefs: [{
                        className: 'dtr-control arrow-right',
                        orderable: false,
                        target: -1
                    }],
                    responsive: {
                        details: {
                            display: $.fn.dataTable.Responsive.display.modal({
                                header: function(row) {
                                    var data = row.data();
                                    return data[0];
                                }
                            }),
                            renderer: $.fn.dataTable.Responsive.renderer.tableAll(),
                            type: 'column',
                            target: -1
                        },

                    },
                    scrollCollapse: true,
                    scroller: true,
                    initComplete: function() {
                        var api = this.api();
                        $('.filterhead', api.table().header()).each(function(i) {
                            var column = api.column(i);
                            var select = $('<select><option value=""></option></select>')
                                .appendTo($(this).empty())
                                .on('change', function() {
                                    var val = $.fn.dataTable.util.escapeRegex(
                                        $(this).val()
                                    );

                                    column
                                        .search(val ? '^' + val + '$' : '', true, false)
                                        .draw();
                                });

                            column.data().unique().sort().each(function(d, j) {
                                select.append('<option value="' + d + '">' + d + '</option>');
                            });
                        });
                        hideSearchInputs(api.columns().responsiveHidden().toArray());
                    }
                });

                table.on('responsive-resize', function(e, datatable, columns) {
                    hideSearchInputs(columns);

                });
                $('#searchbox').keyup(function() {
                    table.search($(this).val()).draw();
                })
            });
        });
    </script>

</body>

</html>