<?php
$root__url = "../../../../../";
?>
<?php
$member = array('孫A', '顏B', '黃C', '張D', '劉E', '李F', '江G');
$unit = array(
    ['type' => '單位', 'unit' => 'SBIR', 'contact' => '陳嘉威', 'tel' => '071234567', 'email' => '123@gmail.com', 'address' => '高雄市 鼓山區 美術東六街 0號', 'service_member' => '謝佩恩', 'case' => array(['project' => '企業連動式協作之遠距辦公平台', 'case' => '網站建置', 'deadline' => '2023-08-31'])],
    ['type' => '存在客戶', 'unit' => '儀居不動產', 'contact' => '何勝緯', 'tel' => '071234567', 'email' => '123@gmail.com', 'address' => '高雄市 鼓山區 美術東六街 0號', 'service_member' => '陳俊廷', 'case' => array(['project' => '教育訓練平台', 'case' => '網站建置', 'deadline' => '2023-08-31'])],
    ['type' => '存在客戶', 'unit' => '立功補習班', 'contact' => '許進福', 'tel' => '071234567', 'email' => '123@gmail.com', 'address' => '高雄市 鼓山區 美術東六街 0號', 'service_member' => '許智凱', 'case' => array(['project' => '直錄播', 'case' => '網站建置', 'deadline' => '2023-08-31'])],
    ['type' => '存在客戶', 'unit' => '鼓山高中', 'contact' => '楊茂青', 'tel' => '071234567', 'email' => '123@gmail.com', 'address' => '高雄市 鼓山區 美術東六街 0號', 'service_member' => '許智凱', 'case' => array(['project' => 'IRS測驗系統', 'case' => '網站建置', 'deadline' => '2023-08-31'])],
)
?>
<!doctype html>
<html lang="en">

<head>
    <?php include_once "../../../../head.php"; ?>
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/jquery.dataTables.css">
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/responsive.dataTables.min.css">
    <script src="<?php echo $root__url; ?>js/page/datatable/jquery.dataTables.js"></script>
    <script src="<?php echo $root__url; ?>js/page/datatable/dataTables.responsive.min.js"></script>
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/datatable.css">
</head>

<body>
    <div class="page_wrapper">
        <?php include_once "../header.php"; ?>
        <div class="content_area">
            <div class="container-fluid">
                <div class="content_block row justify-content-center">
                    <div class="col-xl-10">
                        <div class="row title_block row align-items-center pb-0 mb-4">
                            <div class="col"></div>
                            <div class="col-auto text-center">
                                <h2><span class="main_title">客戶與單位</span></h2>
                            </div>
                            <div class="col">
                                <?php if ($role['service_dept'] == 'manager' || $role['business_dept'] == 'manager'  || $role['administration_dept'] == 'manager') { ?>
                                    <div class="d-flex justify-content-end">
                                        <button type="button" class="btn_text btn_primary mb-3" data-bs-toggle="modal" data-bs-target="#new_unit"><i class="fa-solid fa-plus"></i>&ensp;新增</button>
                                    </div>
                                <?php } ?>
                            </div>
                        </div>
                        <div class="mb-5">
                            <div class="row align-items-center justify-content-end">
                                <div class="col-md-auto mb-2">
                                    <div class="searchbox_block">
                                        <input type="text" class="form-control form-control-sm inputbox" id="searchbox">
                                    </div>
                                </div>
                            </div>
                            <table id="page_table" class="display" style="width:100%">
                                <thead>
                                    <tr>
                                        <th>名稱</th>
                                        <th>類型</th>
                                        <th>聯絡人</th>
                                        <th>電話</th>
                                        <th>負責人員</th>
                                        <th>操作</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php foreach ($unit as $key => $unit_data) { ?>
                                        <tr>
                                            <td><?php echo $unit_data['unit'] ?></td>
                                            <td><?php echo $unit_data['type'] ?></td>
                                            <td><?php echo $unit_data['contact'] ?></td>
                                            <td><?php echo $unit_data['tel'] ?></td>
                                            <td class="name_width">
                                                <div class="multiline_ellipsis clamp_2"><?php echo $unit_data['service_member'] ?></div>
                                            </td>
                                            <td class="w_1">
                                                <div class="d-inline-flex">
                                                    <button type="button" class="btn_text btn_text_sm btn_secondary_outline me-2" data-bs-toggle="modal" data-bs-target="#edit<?php echo $key; ?>">編輯</button>
                                                    <button type="button" class="btn_text btn_text_sm btn_secondary_outline" data-bs-toggle="modal" data-bs-target="#detail<?php echo $key; ?>">詳細</button>
                                                </div>
                                            </td>
                                            <td></td>
                                        </tr>
                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>


                    </div>
                </div>
            </div>
        </div>
        <?php include_once "../../../../footer.php"; ?>
    </div>
    <?php foreach ($unit as $key => $unit_data) { ?>
        <div class="modal fade" id="detail<?php echo $key; ?>" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable">
                <div class="modal-content">
                    <div class="modal-header d-block pb-0">
                        <h1 class="modal-title h6 mb-3 text-center"><?php echo $unit_data['unit'] ?></h1>
                        <ul class="nav nav-tabs border-bottom-0 nav_tabs_box" id="myTab" role="tablist">
                            <li class="nav-item">
                                <button class="nav-link active" id="info<?php echo $key; ?>-tab" data-bs-toggle="tab" data-bs-target="#info<?php echo $key; ?>" type="button" role="tab" aria-controls="info<?php echo $key; ?>" aria-selected="true">基本資料</button>
                            </li>
                            <?php if (!empty($unit_data['case'])) { ?>
                                <li class="nav-item">
                                    <button class="nav-link" id="case<?php echo $key; ?>-tab" data-bs-toggle="tab" data-bs-target="#case<?php echo $key; ?>" type="button" role="tab" aria-controls="result<?php echo $key; ?>" aria-selected="false">案件</button>
                                </li>
                            <?php } ?>
                        </ul>
                    </div>
                    <div class="modal-body scrollbar_y">
                        <div class="p-2">
                            <div class="tab-content">
                                <div class="tab-pane fade active show" id="info<?php echo $key; ?>" role="tabpanel" aria-labelledby="info<?php echo $key; ?>-tab">
                                    <div class="row">
                                        <div class="col-12">
                                            <table class="table bg-light">
                                                <tr>
                                                    <th scope="row" class="text-nowrap w_1">聯絡人</th>
                                                    <td><?php echo $unit_data['contact'] ?></td>
                                                </tr>
                                                <tr>
                                                    <th scope="row" class="text-nowrap w_1">電話</th>
                                                    <td><?php echo $unit_data['tel'] ?></td>
                                                </tr>
                                                <tr>
                                                    <th scope="row" class="text-nowrap w_1">地址</th>
                                                    <td><?php echo $unit_data['address'] ?></td>
                                                </tr>
                                                <?php if ($role['service_dept']=='manager') { ?>
                                                <tr>
                                                    <th scope="row" class="text-nowrap w_1">客服人員</th>
                                                    <td><?php echo $unit_data['service_member']; ?></td>
                                                </tr>
                                                <?php } ?>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                                <div class="tab-pane fade" id="case<?php echo $key; ?>" role="tabpanel" aria-labelledby="case<?php echo $key; ?>-tab">
                                    <div class="row">
                                        <div class="col-12">
                                            <table class="table bg-light">
                                                <thead>
                                                    <th>案件</th>
                                                    <th>期限</th>
                                                </thead>
                                                <tbody>
                                                    <?php foreach ($unit_data['case'] as $key => $case_data) { ?>
                                                        <tr>
                                                            <td><?php echo $case_data['project'] ?>-<?php echo $case_data['case'] ?></td>
                                                            <td class="text-nowrap"><?php echo $case_data['deadline'] ?></td>
                                                        </tr>
                                                    <?php } ?>
                                                </tbody>

                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer justify-content-center">
                        <button type="button" class="btn_text btn_secondary_outline" data-bs-dismiss="modal">返回</button>
                    </div>
                </div>
            </div>
        </div>
    <?php } ?>
    <?php foreach ($unit as $key => $unit_data) { ?>
        <div class="modal fade" id="edit<?php echo $key; ?>" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable">
                <form class="modal-content">
                    <div class="modal-header d-block pb-0">
                        <h1 class="modal-title h6 mb-3 text-center">資料編輯</h1>
                    </div>
                    <div class="modal-body scrollbar_y">
                        <div class="p-2">
                            <div class="row gy-3">
                                <div class="col-12 inputbox_block">
                                    <label class="form-label" for="unit_name<?php echo $key; ?>">名稱</label>
                                    <input type="text" class="form-control form-control-sm inputbox" id="unit_name<?php echo $key; ?>">
                                </div>
                                <?php if ($role['service_dept'] == 'manager' || $role['administration_dept'] == 'manager') { ?>
                                    <div class="col-12 inputbox_block">
                                        <label class="form-label" for="unit_type<?php echo $key; ?>">類型</label>
                                        <select type="text" class="form-select form-select-sm inputbox" id="unit_type<?php echo $key; ?>">
                                            <option disabled selected value>請選擇類型</option>
                                            <option>存在客戶</option>
                                            <option>新客戶</option>
                                            <option>單位</option>
                                        </select>
                                    </div>
                                <?php } ?>
                                <div class="col-12 inputbox_block">
                                    <label class="form-label" for="contact<?php echo $key; ?>">聯絡人</label>
                                    <input type="text" class="form-control form-control-sm inputbox" id="contact<?php echo $key; ?>">
                                </div>
                                <div class="col-12 inputbox_block">
                                    <label class="form-label" for="tel<?php echo $key; ?>">電話</label>
                                    <input type="tel" class="form-control form-control-sm inputbox" id="tel<?php echo $key; ?>">
                                </div>
                                <div class="col-12 inputbox_block">
                                    <label class="form-label" for="address<?php echo $key; ?>">地址</label>
                                    <input type="text" class="form-control form-control-sm inputbox" id="address<?php echo $key; ?>">
                                </div>
                                <div class="col-12 inputbox_block">
                                    <label class="form-label" for="email<?php echo $key; ?>">電子郵件</label>
                                    <input type="text" class="form-control form-control-sm inputbox" id="email<?php echo $key; ?>">
                                </div>
                                <?php if ($role['service_dept'] == 'manager') { ?>
                                    <div class="col-12 inputbox_block">
                                        <label class="form-label" for="tel<?php echo $key; ?>">客服人員</label>
                                        <select type="text" class="form-select form-select-sm inputbox" id="unit_type<?php echo $key; ?>">
                                            <?php foreach ($member as $key1 => $member_data) { ?>
                                                <option><?php echo $member_data ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer justify-content-center">
                        <button type="button" class="btn_text btn_secondary_outline me-3" data-bs-dismiss="modal">返回</button>
                        <button type="button" class="btn_text btn_primary_outline" data-bs-dismiss="modal">儲存</button>
                    </div>
                </form>
            </div>
        </div>
    <?php } ?>

    <div class="modal fade" id="new_unit" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable">
            <form class="modal-content">
                <div class="modal-header d-block pb-0">
                    <h1 class="modal-title h6 mb-3 text-center">新增</h1>
                </div>
                <div class="modal-body scrollbar_y">
                    <div class="p-2">
                        <div class="row gy-3">
                            <div class="col-12 inputbox_block">
                                <label class="form-label" for="unit_name<?php echo $key; ?>">名稱</label>
                                <input type="text" class="form-control form-control-sm inputbox" id="unit_name<?php echo $key; ?>">
                            </div>
                            <?php if ($role['service_dept'] == 'manager' || $role['administration_dept'] == 'manager') { ?>
                                <div class="col-12 inputbox_block">
                                    <label class="form-label" for="unit_type<?php echo $key; ?>">類型</label>
                                    <select type="text" class="form-select form-select-sm inputbox" id="unit_type<?php echo $key; ?>">
                                        <option disabled selected value>請選擇類型</option>
                                        <option>存在客戶</option>
                                        <option>新客戶</option>
                                        <option>單位</option>
                                    </select>
                                </div>
                            <?php } ?>
                            <div class="col-12 inputbox_block">
                                <label class="form-label" for="contact<?php echo $key; ?>">聯絡人</label>
                                <input type="text" class="form-control form-control-sm inputbox" id="contact<?php echo $key; ?>">
                            </div>
                            <div class="col-12 inputbox_block">
                                <label class="form-label" for="tel<?php echo $key; ?>">電話</label>
                                <input type="tel" class="form-control form-control-sm inputbox" id="tel<?php echo $key; ?>">
                            </div>
                            <div class="col-12 inputbox_block">
                                <label class="form-label" for="address<?php echo $key; ?>">地址</label>
                                <input type="text" class="form-control form-control-sm inputbox" id="address<?php echo $key; ?>">
                            </div>
                            <div class="col-12 inputbox_block">
                                <label class="form-label" for="email<?php echo $key; ?>">電子郵件</label>
                                <input type="text" class="form-control form-control-sm inputbox" id="email<?php echo $key; ?>">
                            </div>
                            <?php if ($role['service_dept'] == 'manager') { ?>
                                <div class="col-12 inputbox_block">
                                    <label class="form-label" for="tel<?php echo $key; ?>">客服人員</label>
                                    <select type="text" class="form-select form-select-sm inputbox" id="unit_type<?php echo $key; ?>">
                                        <?php foreach ($member as $key1 => $member_data) { ?>
                                            <option><?php echo $member_data ?></option>
                                        <?php } ?>
                                    </select>
                                </div>
                            <?php } ?>
                        </div>
                    </div>
                </div>
                <div class="modal-footer justify-content-center">
                    <button type="button" class="btn_text btn_secondary_outline me-3" data-bs-dismiss="modal">返回</button>
                    <button type="button" class="btn_text btn_primary_outline" data-bs-dismiss="modal">建立</button>
                </div>
            </form>
        </div>
    </div>

    <script>
        /*table*/
        $(document).ready(function() {
            $(document).ready(function() {

                function hideSearchInputs(columns) {
                    for (i = 0; i < columns.length; i++) {
                        if (columns[i]) {
                            $('.filterhead:eq(' + i + ')').show();
                        } else {
                            $('.filterhead:eq(' + i + ')').hide();
                        }
                    }
                }

                var table = $('#page_table').DataTable({
                    language: {
                        'paginate': {
                            'previous': '<i class="fa-solid fa-chevron-left"></i>',
                            'next': '<i class="fa-solid fa-chevron-right"></i>'
                        }
                    },
                    stripeClasses: [],

                    orderCellsTop: true,
                    dom: 'Bfrtip',
                    columnDefs: [{
                        className: 'dtr-control arrow-right',
                        orderable: false,
                        target: -1
                    }],
                    responsive: {
                        details: {
                            display: $.fn.dataTable.Responsive.display.modal({
                                header: function(row) {
                                    var data = row.data();
                                    return data[0];
                                }
                            }),
                            renderer: $.fn.dataTable.Responsive.renderer.tableAll(),
                            type: 'column',
                            target: -1
                        },

                    },
                    scrollCollapse: true,
                    scroller: true,
                    initComplete: function() {
                        var api = this.api();
                        $('.filterhead', api.table().header()).each(function(i) {
                            var column = api.column(i);
                            var select = $('<select><option value=""></option></select>')
                                .appendTo($(this).empty())
                                .on('change', function() {
                                    var val = $.fn.dataTable.util.escapeRegex(
                                        $(this).val()
                                    );

                                    column
                                        .search(val ? '^' + val + '$' : '', true, false)
                                        .draw();
                                });

                            column.data().unique().sort().each(function(d, j) {
                                select.append('<option value="' + d + '">' + d + '</option>');
                            });
                        });
                        hideSearchInputs(api.columns().responsiveHidden().toArray());
                    }
                });

                table.on('responsive-resize', function(e, datatable, columns) {
                    hideSearchInputs(columns);

                });
                $('#searchbox').keyup(function() {
                    table.search($(this).val()).draw();
                })
            });
        });
    </script>

</body>

</html>