<?php
$root__url = "../../../";
?>
<?php
$merged_dept = array(
    'assistant' => array(
        ['staff_id' => '5', 'staff_name' => '林盈君', 'performance_point' => '800']
    ),
    'administration' => array(
        ['staff_id' => '5', 'staff_name' => '林盈君', 'performance_point' => '800']
    ),
    'service' => array(
        ['staff_id' => '3', 'staff_name' => '許智凱', 'performance_point' => '800'],
        ['staff_id' => '4', 'staff_name' => '陳俊廷', 'performance_point' => '800'],
        ['staff_id' => '5', 'staff_name' => '林盈君', 'performance_point' => '800']
    ),
    'financial' => array(
        ['staff_id' => '2', 'staff_name' => '吳麗芬', 'performance_point' => '-'],
    ),
    'business' => array(
        ['staff_id' => '1', 'staff_name' => '陳慎謙', 'performance_point' => '-'],
    ),
    'engineering' => array(
        ['staff_id' => '3', 'staff_name' => '許智凱', 'performance_point' => '24'],
        ['staff_id' => '4', 'staff_name' => '陳俊廷', 'performance_point' => '24'],
        ['staff_id' => '6', 'staff_name' => '謝佩恩', 'performance_point' => '24']
    ),
    'design' => array(
        ['staff_id' => '5', 'staff_name' => '林盈君', 'performance_point' => '24'],
        ['staff_id' => '6', 'staff_name' => '謝佩恩', 'performance_point' => '24']
    ),
);

$focus_case = array(
    ['project' => '教育訓練平台', 'case'=>'系統建置', 'company' => '儀居不動產', 'case_manager' => '陳俊廷', 'progress' => '50', 'deadline' => '2023-08-31'],
    ['project' => '直錄播', 'case'=>'系統建置', 'company' => '立功補習班', 'case_manager' => '許智凱', 'progress' => '50', 'deadline' => '2023-08-31'],
    ['project' => '企業連動式協作之遠距辦公平台', 'case'=>'系統建置', 'company' => 'SBIR', 'case_manager' => '許智凱', 'progress' => '50', 'deadline' => '2023-03-31'],
    ['project' => 'IRS測驗系統', 'case'=>'系統建置', 'company' => '鼓山高中', 'case_manager' => '許智凱', 'progress' => '50', 'deadline' => '2023-08-31'],
)
?>
<!doctype html>
<html lang="en">

<head>
    <?php include_once "../../head.php"; ?>
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/jquery.dataTables.css">
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/responsive.dataTables.min.css">
    <script src="<?php echo $root__url; ?>js/page/datatable/jquery.dataTables.js"></script>
    <script src="<?php echo $root__url; ?>js/page/datatable/dataTables.responsive.min.js"></script>
    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/datatable/datatable.css">

    <link rel="stylesheet" type="text/css" href="<?php echo $root__url; ?>css/page/zsystem//general_manager/overview.css">

</head>

<body>
    <div class="page_wrapper">
        <?php include_once "header.php"; ?>
        <div class="content_area">
            <div class="container-fluid">
                <div class="content_block row justify-content-center">
                    <div class="col-xl-10">
                        <div class="mb-5">
                            <div class="row justify-content-between align-items-center mb-3">
                                <div class="col-auto">
                                    <h3><span class="heading">近期關注案件</span></h3>
                                </div>
                                <div class="col-auto">
                                    <a href="project/project_list.php" class="link_primary fw_500">更多專案<i class="fa-solid fa-angle-right ps-2"></i></a>
                                </div>
                            </div>
                            <div class="row gy-2 gy-lg-3">
                                <?php foreach ($focus_case as $key => $case_data) { ?>
                                    <div class="col-12 col-sm-6 col-lg-3">
                                        <div class="cardbox h-100 p-3">
                                            <div class="row">
                                                <div class="col">
                                                    <div class="multiline_ellipsis clamp_2 fw_700"><?php echo $case_data['project'] ?>-<?php echo $case_data['case'] ?></div>
                                                    <div class="multiline_ellipsis clamp_1"><?php echo $case_data['company'] ?></div>
                                                    <div class="multiline_ellipsis clamp_1 small mt-2"><?php echo $case_data['case_manager'] ?></div>
                                                </div>
                                                <div class="col-3 col-lg-5">
                                                    <div class="flex-wrapper">
                                                        <div class="single-chart">
                                                            <svg viewBox="0 0 36 36" class="circular-chart primary">
                                                                <path class="circle-bg" d="M18 2.0845 a 15.9155 15.9155 0 0 1 0 31.831 a 15.9155 15.9155 0 0 1 0 -31.831" />
                                                                <path class="circle" stroke-dasharray="<?php echo $case_data['progress'] ?>, 100" d="M18 2.0845 a 15.9155 15.9155 0 0 1 0 31.831 a 15.9155 15.9155 0 0 1 0 -31.831" />
                                                                <text x="18" y="20.35" class="percentage fw_500"><?php echo $case_data['progress'] ?>%</text>
                                                            </svg>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                <?php } ?>
                            </div>
                        </div>
                        <div class="mb-5">
                            <div class="row justify-content-between align-items-center mb-3">
                                <div class="col-auto">
                                    <h3><span class="heading">8月工作情形</span></h3>
                                </div>
                                <div class="col-sm">
                                    <div class="row align-items-center justify-content-end">
                                        <div class="col-sm-auto mb-2">
                                            <div class="searchbox_block">
                                                <input type="text" class="form-control form-control-sm inputbox" id="searchbox">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <table id="page_table" class="display" style="width:100%">
                                <thead>
                                    <tr>
                                        <th class="w_1">#</th>
                                        <th>人員</th>
                                        <th>部門</th>
                                        <th>
                                            <span class="d-none d-sm-inline-block">績效</span><span class="d-inline-block">點數</span>
                                        </th>
                                        <th class="w_1">操作</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php foreach ($merged_dept as $key => $dept_data) { ?>
                                        <?php foreach ($dept_data as $key1 => $performance_data) { ?>
                                            <tr>
                                                <td class="w_1"><?php echo $performance_data['staff_id'] ?></td>
                                                <td class="name_width">
                                                    <div class="multiline_ellipsis clamp_2"><?php echo $performance_data['staff_name'] ?></div>
                                                </td>
                                                <td class="text-nowrap">
                                                    <?php
                                                    switch ($key) {
                                                        case 'assistant':
                                                            echo "特助";
                                                            break;
                                                        case 'administration':
                                                            echo "行政部";
                                                            break;
                                                        case 'service':
                                                            echo "客服部";
                                                            break;
                                                        case 'financial':
                                                            echo "財務部";
                                                            break;
                                                        case 'business':
                                                            echo "業務部";
                                                            break;
                                                        case 'engineering':
                                                            echo "開發部";
                                                            break;
                                                        case 'design':
                                                            echo "設計部";
                                                            break;
                                                    }
                                                    ?>
                                                </td>
                                                <td><?php echo $performance_data['performance_point'] ?></td>
                                                <td>
                                                    <button type="button" class="btn_text btn_text_sm btn_secondary_outline" onclick="location.href='staff/design_staff_detail.php'">詳細</button>
                                                </td>
                                                <td></td>
                                            </tr>

                                        <?php } ?>
                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>


                    </div>
                </div>
            </div>
        </div>
        <?php include_once "../../footer.php"; ?>
    </div>

    <script>
        $(document).ready(function() {
            $(document).ready(function() {

                function hideSearchInputs(columns) {
                    for (i = 0; i < columns.length; i++) {
                        if (columns[i]) {
                            $('.filterhead:eq(' + i + ')').show();
                        } else {
                            $('.filterhead:eq(' + i + ')').hide();
                        }
                    }
                }

                var table = $('#page_table').DataTable({
                    language: {
                        'paginate': {
                            'previous': '<i class="fa-solid fa-chevron-left"></i>',
                            'next': '<i class="fa-solid fa-chevron-right"></i>'
                        }
                    },
                    stripeClasses: [],

                    orderCellsTop: true,
                    dom: 'Bfrtip',
                    columnDefs: [{
                        className: 'dtr-control arrow-right',
                        orderable: false,
                        target: -1
                    }],
                    responsive: {
                        details: {
                            display: $.fn.dataTable.Responsive.display.modal({
                                header: function(row) {
                                    var data = row.data();
                                    return data[0];
                                }
                            }),
                            renderer: $.fn.dataTable.Responsive.renderer.tableAll(),
                            type: 'column',
                            target: -1
                        },

                    },
                    scrollCollapse: true,
                    scroller: true,
                    initComplete: function() {
                        var api = this.api();
                        $('.filterhead', api.table().header()).each(function(i) {
                            var column = api.column(i);
                            var select = $('<select><option value=""></option></select>')
                                .appendTo($(this).empty())
                                .on('change', function() {
                                    var val = $.fn.dataTable.util.escapeRegex(
                                        $(this).val()
                                    );

                                    column
                                        .search(val ? '^' + val + '$' : '', true, false)
                                        .draw();
                                });

                            column.data().unique().sort().each(function(d, j) {
                                select.append('<option value="' + d + '">' + d + '</option>');
                            });
                        });
                        hideSearchInputs(api.columns().responsiveHidden().toArray());
                    }
                });

                table.on('responsive-resize', function(e, datatable, columns) {
                    hideSearchInputs(columns);

                });
                $('#searchbox').keyup(function() {
                    table.search($(this).val()).draw();
                })
            });
        });
    </script>

</body>

</html>